/*
 * Created on 22.04.2004
 * 
 * (C) Peter Weigerber <peter.weissgerber@ku-eichstaett.de>
 * 
 * For license information see the LICENSE file that is shipped
 * with the source code.
 *
 * 
 */
package org.eposoft.epos.eposee.pixmap.gui;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.PaintEvent;
import org.eclipse.swt.events.PaintListener;
import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.graphics.GC;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Canvas;
import org.eclipse.swt.widgets.Dialog;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Listener;
import org.eclipse.swt.widgets.Shell;

/** This class implements a short About dialog.
 * It shows the name, the author, and the license terms of the software.
 * 
 * @author Peter Weigerber <peter.weissgerber@ku-eichstaett.de>
 *
 */
public class AboutDialog extends Dialog {

	private Button btnOkay;

	/** Create new AboutDialog.
	 * 
	 * @param arg0 shell to which the dialog should belong
	 */
	public AboutDialog(Shell arg0) {
		super(arg0);
	}
	
	/** Open and show the dialog.
	 * 
	 */
	public void open() {
		final Shell shell =
			new Shell(getParent(), SWT.DIALOG_TRIM | SWT.APPLICATION_MODAL);
		shell.setText("About EPOSpix");
		shell.setSize(450, 320);


		Canvas ruleviscanvas = new Canvas(shell, SWT.NONE);
		ruleviscanvas.addPaintListener(new PaintListener() {

			public void paintControl(PaintEvent arg0) {
				GC g = arg0.gc;
				Display disp = getParent().getDisplay();
				g.setFont(
					new Font(disp, "SansSerif", 17, SWT.ITALIC | SWT.BOLD));
				g.drawString("EPOSpix 1.0", 150, 3);
				g.setFont(new Font(disp, "SansSerif", 9, SWT.BOLD));
				g.drawString(
					"An interactive graphical tool to visualize binary couplings.",
					20,
					35);
				g.setFont(new Font(disp, "SansSerif", 8, SWT.BOLD));
				g.drawString("(C) Peter Weigerber", 155, 71);
				g.drawString("and Michael Burch", 180, 86);
				g.setFont(new Font(disp, "SansSerif", 9, SWT.BOLD));
				g.drawString("http://www.eposoft.org",145,120);
				g.setFont(new Font(disp, "SansSerif", 9, SWT.BOLD));
				g.drawString("info@eposoft.org",162,140);
				g.setFont(new Font(disp, "SansSerif", 7, SWT.BOLD));
				g.drawString("This software is released under the terms of the GNU",86,185);
				g.drawString("General Public License v2. Please see the LICENSE", 86,195);
				g.drawString("file that is shipped with this software for details.", 86, 205);
				g.setFont(
					new Font(disp, "SansSerif", 5, SWT.BOLD | SWT.ITALIC));
			}
		});

		ruleviscanvas.setSize(450,220);
		ruleviscanvas.setLocation(0,10);

		btnOkay = new Button(shell, SWT.PUSH);
		btnOkay.setText("Ok");
		btnOkay.setLocation(181, 250);
		btnOkay.setSize(85, 35);

		Listener listener = new Listener() {
			public void handleEvent(Event event) {
				shell.close();
			}
		};
		btnOkay.addListener(SWT.Selection, listener);
		shell.open();

		Display display = getParent().getDisplay();
		while (!shell.isDisposed()) {
			if (!display.readAndDispatch())
				display.sleep();
		}

	}

}
