/*
 * Created on 20.04.2004
 *
 * (C) Michael Burch <michael.burch@ku-eichstaett.de>
 * 
 * For license information see the LICENSE file that is shipped
 * with the source code.
 * 
 * 
 */
package org.eposoft.epos.eposee.pixmap.gui;

import org.eclipse.swt.graphics.RGB;

/** This class contains some color scales as static final RGB[] objects.
 * 
 * @author Michael Burch <michael.burch@ku-eichstaett.de>
 *
 */
public class SWTColorScales {
	/** Linear optimal color scale: From black over red, green and light blue
	 * tones to white.
	 */
	public static final RGB[] LINEAR_OPTIMAL =
		{
			//new RGB(0, 0, 0),
			//new RGB(0, 0, 0),
			//new RGB(0, 0, 0),
			new RGB(1, 0, 0),
			new RGB(2, 0, 0),
			new RGB(2, 0, 0),
			new RGB(3, 0, 0),
			new RGB(3, 0, 0),
			new RGB(4, 0, 0),
			new RGB(5, 0, 0),
			new RGB(5, 0, 0),
			new RGB(6, 0, 0),
			new RGB(7, 0, 0),
			new RGB(7, 0, 0),
			new RGB(8, 0, 0),
			new RGB(9, 0, 0),
			new RGB(9, 0, 0),
			new RGB(10, 0, 0),
			new RGB(11, 0, 0),
			new RGB(12, 0, 0),
			new RGB(13, 0, 0),
			new RGB(14, 0, 0),
			new RGB(15, 0, 0),
			new RGB(16, 0, 0),
			new RGB(17, 0, 0),
			new RGB(18, 0, 0),
			new RGB(19, 0, 0),
			new RGB(20, 0, 0),
			new RGB(21, 0, 0),
			new RGB(22, 0, 0),
			new RGB(23, 0, 0),
			new RGB(25, 0, 0),
			new RGB(26, 0, 0),
			new RGB(27, 0, 0),
			new RGB(28, 0, 0),
			new RGB(30, 0, 0),
			new RGB(31, 0, 0),
			new RGB(33, 0, 0),
			new RGB(34, 0, 0),
			new RGB(35, 0, 0),
			new RGB(37, 0, 0),
			new RGB(39, 0, 0),
			new RGB(40, 0, 0),
			new RGB(43, 0, 0),
			new RGB(45, 0, 0),
			new RGB(46, 0, 0),
			new RGB(49, 0, 0),
			new RGB(51, 0, 0),
			new RGB(53, 0, 0),
			new RGB(54, 0, 0),
			new RGB(56, 0, 0),
			new RGB(58, 0, 0),
			new RGB(60, 0, 0),
			new RGB(62, 0, 0),
			new RGB(64, 0, 0),
			new RGB(67, 0, 0),
			new RGB(69, 0, 0),
			new RGB(71, 0, 0),
			new RGB(74, 0, 0),
			new RGB(76, 0, 0),
			new RGB(80, 0, 0),
			new RGB(81, 0, 0),
			new RGB(84, 0, 0),
			new RGB(86, 0, 0),
			new RGB(89, 0, 0),
			new RGB(92, 0, 0),
			new RGB(94, 0, 0),
			new RGB(97, 0, 0),
			new RGB(100, 0, 0),
			new RGB(103, 0, 0),
			new RGB(106, 0, 0),
			new RGB(109, 0, 0),
			new RGB(112, 0, 0),
			new RGB(115, 0, 0),
			new RGB(117, 0, 0),
			new RGB(122, 0, 0),
			new RGB(126, 0, 0),
			new RGB(128, 0, 0),
			new RGB(131, 0, 0),
			new RGB(135, 0, 0),
			new RGB(135, 0, 0),
			new RGB(135, 1, 0),
			new RGB(135, 2, 0),
			new RGB(135, 3, 0),
			new RGB(135, 4, 0),
			new RGB(135, 6, 0),
			new RGB(135, 6, 0),
			new RGB(135, 8, 0),
			new RGB(135, 9, 0),
			new RGB(135, 10, 0),
			new RGB(135, 11, 0),
			new RGB(135, 13, 0),
			new RGB(135, 13, 0),
			new RGB(135, 15, 0),
			new RGB(135, 17, 0),
			new RGB(135, 17, 0),
			new RGB(135, 19, 0),
			new RGB(135, 21, 0),
			new RGB(135, 22, 0),
			new RGB(135, 23, 0),
			new RGB(135, 25, 0),
			new RGB(135, 26, 0),
			new RGB(135, 27, 0),
			new RGB(135, 29, 0),
			new RGB(135, 31, 0),
			new RGB(135, 32, 0),
			new RGB(135, 33, 0),
			new RGB(135, 35, 0),
			new RGB(135, 36, 0),
			new RGB(135, 38, 0),
			new RGB(135, 40, 0),
			new RGB(135, 42, 0),
			new RGB(135, 44, 0),
			new RGB(135, 46, 0),
			new RGB(135, 47, 0),
			new RGB(135, 49, 0),
			new RGB(135, 51, 0),
			new RGB(135, 52, 0),
			new RGB(135, 54, 0),
			new RGB(135, 56, 0),
			new RGB(135, 57, 0),
			new RGB(135, 59, 0),
			new RGB(135, 62, 0),
			new RGB(135, 63, 0),
			new RGB(135, 65, 0),
			new RGB(135, 67, 0),
			new RGB(135, 69, 0),
			new RGB(135, 72, 0),
			new RGB(135, 73, 0),
			new RGB(135, 76, 0),
			new RGB(135, 78, 0),
			new RGB(135, 80, 0),
			new RGB(135, 82, 0),
			new RGB(135, 84, 0),
			new RGB(135, 87, 0),
			new RGB(135, 88, 0),
			new RGB(135, 90, 0),
			new RGB(135, 93, 0),
			new RGB(135, 95, 0),
			new RGB(135, 98, 0),
			new RGB(135, 101, 0),
			new RGB(135, 103, 0),
			new RGB(135, 106, 0),
			new RGB(135, 107, 0),
			new RGB(135, 110, 0),
			new RGB(135, 113, 0),
			new RGB(135, 115, 0),
			new RGB(135, 118, 0),
			new RGB(135, 121, 0),
			new RGB(135, 124, 0),
			new RGB(135, 127, 0),
			new RGB(135, 129, 0),
			new RGB(135, 133, 0),
			new RGB(135, 135, 0),
			new RGB(135, 138, 0),
			new RGB(135, 141, 0),
			new RGB(135, 144, 0),
			new RGB(135, 148, 0),
			new RGB(135, 150, 0),
			new RGB(135, 155, 0),
			new RGB(135, 157, 0),
			new RGB(135, 160, 0),
			new RGB(135, 163, 0),
			new RGB(135, 166, 0),
			new RGB(135, 170, 0),
			new RGB(135, 174, 0),
			new RGB(135, 177, 0),
			new RGB(135, 180, 0),
			new RGB(135, 184, 0),
			new RGB(135, 188, 0),
			new RGB(135, 192, 0),
			new RGB(135, 195, 0),
			new RGB(135, 200, 0),
			new RGB(135, 203, 0),
			new RGB(135, 205, 0),
			new RGB(135, 210, 0),
			new RGB(135, 214, 0),
			new RGB(135, 218, 0),
			new RGB(135, 222, 0),
			new RGB(135, 226, 0),
			new RGB(135, 231, 0),
			new RGB(135, 236, 0),
			new RGB(135, 239, 0),
			new RGB(135, 244, 0),
			new RGB(135, 249, 0),
			new RGB(135, 254, 0),
			new RGB(135, 255, 1),
			new RGB(135, 255, 5),
			new RGB(135, 255, 10),
			new RGB(135, 255, 15),
			new RGB(135, 255, 20),
			new RGB(135, 255, 23),
			new RGB(135, 255, 28),
			new RGB(135, 255, 33),
			new RGB(135, 255, 38),
			new RGB(135, 255, 43),
			new RGB(135, 255, 45),
			new RGB(135, 255, 49),
			new RGB(135, 255, 54),
			new RGB(135, 255, 59),
			new RGB(135, 255, 65),
			new RGB(135, 255, 70),
			new RGB(135, 255, 74),
			new RGB(135, 255, 80),
			new RGB(135, 255, 84),
			new RGB(135, 255, 90),
			new RGB(135, 255, 95),
			new RGB(135, 255, 98),
			new RGB(135, 255, 104),
			new RGB(135, 255, 110),
			new RGB(135, 255, 116),
			new RGB(135, 255, 120),
			new RGB(135, 255, 125),
			new RGB(135, 255, 131),
			new RGB(135, 255, 137),
			new RGB(135, 255, 144),
			new RGB(135, 255, 149),
			new RGB(135, 255, 154),
			new RGB(135, 255, 158),
			new RGB(135, 255, 165),
			new RGB(135, 255, 172),
			new RGB(135, 255, 179),
			new RGB(135, 255, 186),
			new RGB(135, 255, 191),
			new RGB(135, 255, 198),
			new RGB(135, 255, 203),
			new RGB(135, 255, 211),
			new RGB(135, 255, 216),
			new RGB(135, 255, 224),
			new RGB(135, 255, 232),
			new RGB(135, 255, 240),
			new RGB(135, 255, 248),
			new RGB(135, 255, 254),
			new RGB(135, 255, 255),
			new RGB(140, 255, 255),
			new RGB(146, 255, 255),
			new RGB(153, 255, 255),
			new RGB(156, 255, 255),
			new RGB(161, 255, 255),
			new RGB(168, 255, 255),
			new RGB(172, 255, 255),
			new RGB(177, 255, 255),
			new RGB(182, 255, 255),
			new RGB(189, 255, 255),
			new RGB(192, 255, 255),
			new RGB(199, 255, 255),
			new RGB(204, 255, 255),
			new RGB(210, 255, 255),
			new RGB(215, 255, 255),
			new RGB(220, 255, 255),
			new RGB(225, 255, 255),
			new RGB(232, 255, 255),
			new RGB(236, 255, 255),
			new RGB(240, 255, 255),
			new RGB(248, 255, 255),
			new RGB(255, 255, 255)};

	/** RGB scale starting with blue tones, going over green tones and
	 * ending with red tones.
	 */
	public static final RGB[] BLUE_GREEN_RED =
		{
			//new RGB(255,255,255),
			new RGB(0, 0, 255),
			new RGB(0, 0, 255),
			new RGB(0, 0, 255),
			new RGB(0, 0, 255),
			new RGB(0, 0, 255),
			new RGB(0, 0, 255),
			new RGB(0, 0, 255),
			new RGB(0, 0, 255),
			new RGB(0, 0, 255),
			new RGB(0, 0, 255),
			new RGB(0, 0, 252),
			new RGB(0, 0, 249),
			new RGB(0, 0, 246),
			new RGB(0, 0, 243),
			new RGB(0, 0, 240),
			new RGB(0, 0, 237),
			new RGB(0, 3, 237),
			new RGB(0, 6, 237),
			new RGB(0, 9, 237),
			new RGB(0, 12, 237),
			new RGB(0, 15, 234),
			new RGB(0, 18, 234),
			new RGB(0, 21, 234),
			new RGB(0, 24, 231),
			new RGB(0, 27, 231),
			new RGB(0, 30, 228),
			new RGB(0, 33, 225),
			new RGB(0, 36, 225),
			new RGB(0, 39, 222),
			new RGB(0, 42, 219),
			new RGB(0, 45, 216),
			new RGB(0, 48, 216),
			new RGB(0, 51, 213),
			new RGB(0, 54, 210),
			new RGB(0, 57, 207),
			new RGB(0, 60, 210),
			new RGB(0, 63, 207),
			new RGB(0, 66, 204),
			new RGB(0, 69, 201),
			new RGB(0, 72, 198),
			new RGB(0, 75, 195),
			new RGB(0, 78, 192),
			new RGB(0, 81, 189),
			new RGB(0, 84, 186),
			new RGB(0, 87, 182),
			new RGB(0, 91, 178),
			new RGB(0, 95, 174),
			new RGB(0, 99, 170),
			new RGB(0, 104, 165),
			new RGB(0, 107, 162),
			new RGB(0, 110, 159),
			new RGB(0, 113, 156),
			new RGB(0, 116, 153),
			new RGB(0, 119, 150),
			new RGB(0, 124, 145),
			new RGB(0, 129, 140),
			new RGB(0, 134, 135),
			new RGB(0, 139, 130),
			new RGB(0, 142, 127),
			new RGB(0, 145, 124),
			new RGB(0, 148, 121),
			new RGB(0, 152, 117),
			new RGB(0, 156, 113),
			new RGB(0, 160, 109),
			new RGB(0, 165, 104),
			new RGB(0, 169, 100),
			new RGB(0, 173, 96),
			new RGB(0, 177, 92),
			new RGB(0, 182, 87),
			new RGB(0, 186, 83),
			new RGB(0, 190, 79),
			new RGB(0, 195, 74),
			new RGB(0, 200, 69),
			new RGB(0, 204, 65),
			new RGB(0, 208, 60),
			new RGB(0, 212, 56),
			new RGB(0, 217, 51),
			new RGB(0, 222, 46),
			new RGB(0, 226, 41),
			new RGB(0, 231, 36),
			new RGB(0, 235, 32),
			new RGB(0, 240, 27),
			new RGB(0, 243, 22),
			new RGB(0, 246, 17),
			new RGB(0, 249, 12),
			new RGB(0, 252, 7),
			new RGB(0, 255, 2),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(0, 255, 0),
			new RGB(3, 255, 0),
			new RGB(6, 255, 0),
			new RGB(11, 255, 0),
			new RGB(14, 252, 0),
			new RGB(17, 249, 0),
			new RGB(20, 245, 0),
			new RGB(24, 241, 0),
			new RGB(27, 241, 0),
			new RGB(30, 241, 0),
			new RGB(33, 241, 0),
			new RGB(38, 238, 0),
			new RGB(41, 235, 0),
			new RGB(44, 232, 0),
			new RGB(47, 232, 0),
			new RGB(50, 229, 0),
			new RGB(53, 226, 0),
			new RGB(56, 223, 0),
			new RGB(59, 220, 0),
			new RGB(62, 217, 0),
			new RGB(65, 214, 0),
			new RGB(68, 211, 0),
			new RGB(71, 207, 0),
			new RGB(74, 203, 0),
			new RGB(77, 199, 0),
			new RGB(80, 196, 0),
			new RGB(83, 192, 0),
			new RGB(86, 188, 0),
			new RGB(90, 184, 0),
			new RGB(94, 180, 0),
			new RGB(98, 176, 0),
			new RGB(102, 172, 0),
			new RGB(106, 168, 0),
			new RGB(110, 163, 0),
			new RGB(114, 159, 0),
			new RGB(118, 155, 0),
			new RGB(122, 151, 0),
			new RGB(126, 147, 0),
			new RGB(130, 143, 0),
			new RGB(134, 139, 0),
			new RGB(138, 136, 0),
			new RGB(142, 132, 0),
			new RGB(146, 128, 0),
			new RGB(150, 124, 0),
			new RGB(154, 120, 0),
			new RGB(158, 116, 0),
			new RGB(162, 112, 0),
			new RGB(166, 108, 0),
			new RGB(170, 104, 0),
			new RGB(174, 100, 0),
			new RGB(178, 96, 0),
			new RGB(182, 92, 0),
			new RGB(186, 88, 0),
			new RGB(190, 84, 0),
			new RGB(194, 80, 0),
			new RGB(198, 76, 0),
			new RGB(202, 71, 0),
			new RGB(206, 66, 0),
			new RGB(210, 60, 0),
			new RGB(215, 55, 0),
			new RGB(219, 50, 0),
			new RGB(222, 45, 0),
			new RGB(226, 40, 0),
			new RGB(229, 35, 0),
			new RGB(232, 30, 0),
			new RGB(236, 25, 0),
			new RGB(240, 20, 0),
			new RGB(243, 15, 0),
			new RGB(246, 11, 0),
			new RGB(249, 8, 0),
			new RGB(252, 4, 0),
			new RGB(255, 0, 0),
			new RGB(255, 0, 0),
			new RGB(255, 0, 0),
			new RGB(255, 0, 0),
			new RGB(255, 0, 0),
			new RGB(255, 0, 0),
			new RGB(255, 0, 0),
			new RGB(255, 0, 0),
			new RGB(255, 0, 0),
			new RGB(255, 0, 0)};

	/** RGB scale starting with blue tones and ending with red tones */
	public static final RGB[] COLD_HOT =
		{
			//new RGB(255,255,255),
			new RGB(0, 0, 255),
			new RGB(1, 0, 254),
			new RGB(2, 0, 253),
			new RGB(3, 0, 252),
			new RGB(4, 0, 251),
			new RGB(5, 0, 250),
			new RGB(6, 0, 249),
			new RGB(7, 0, 248),
			new RGB(8, 0, 247),
			new RGB(9, 0, 246),
			new RGB(10, 0, 245),
			new RGB(11, 0, 244),
			new RGB(12, 0, 243),
			new RGB(13, 0, 242),
			new RGB(14, 0, 241),
			new RGB(15, 0, 240),
			new RGB(16, 0, 239),
			new RGB(17, 0, 238),
			new RGB(18, 0, 237),
			new RGB(19, 0, 236),
			new RGB(20, 0, 235),
			new RGB(21, 0, 234),
			new RGB(22, 0, 233),
			new RGB(23, 0, 232),
			new RGB(24, 0, 231),
			new RGB(25, 0, 230),
			new RGB(26, 0, 229),
			new RGB(27, 0, 228),
			new RGB(28, 0, 227),
			new RGB(29, 0, 226),
			new RGB(30, 0, 225),
			new RGB(31, 0, 224),
			new RGB(32, 0, 223),
			new RGB(33, 0, 222),
			new RGB(34, 0, 221),
			new RGB(35, 0, 220),
			new RGB(36, 0, 219),
			new RGB(37, 0, 218),
			new RGB(38, 0, 217),
			new RGB(39, 0, 216),
			new RGB(40, 0, 215),
			new RGB(41, 0, 214),
			new RGB(42, 0, 213),
			new RGB(43, 0, 212),
			new RGB(44, 0, 211),
			new RGB(45, 0, 210),
			new RGB(46, 0, 209),
			new RGB(47, 0, 208),
			new RGB(48, 0, 207),
			new RGB(49, 0, 206),
			new RGB(50, 0, 205),
			new RGB(51, 0, 204),
			new RGB(52, 0, 203),
			new RGB(53, 0, 202),
			new RGB(54, 0, 201),
			new RGB(55, 0, 200),
			new RGB(56, 0, 199),
			new RGB(57, 0, 198),
			new RGB(58, 0, 197),
			new RGB(59, 0, 196),
			new RGB(60, 0, 195),
			new RGB(61, 0, 194),
			new RGB(62, 0, 193),
			new RGB(63, 0, 192),
			new RGB(64, 0, 191),
			new RGB(65, 0, 190),
			new RGB(66, 0, 189),
			new RGB(67, 0, 188),
			new RGB(68, 0, 187),
			new RGB(69, 0, 186),
			new RGB(70, 0, 185),
			new RGB(71, 0, 184),
			new RGB(72, 0, 183),
			new RGB(73, 0, 182),
			new RGB(74, 0, 181),
			new RGB(75, 0, 180),
			new RGB(76, 0, 179),
			new RGB(77, 0, 178),
			new RGB(78, 0, 177),
			new RGB(79, 0, 176),
			new RGB(80, 0, 175),
			new RGB(81, 0, 174),
			new RGB(82, 0, 173),
			new RGB(83, 0, 172),
			new RGB(84, 0, 171),
			new RGB(85, 0, 170),
			new RGB(86, 0, 169),
			new RGB(87, 0, 168),
			new RGB(88, 0, 167),
			new RGB(89, 0, 166),
			new RGB(90, 0, 165),
			new RGB(91, 0, 164),
			new RGB(92, 0, 163),
			new RGB(93, 0, 162),
			new RGB(94, 0, 161),
			new RGB(95, 0, 160),
			new RGB(96, 0, 159),
			new RGB(97, 0, 158),
			new RGB(98, 0, 157),
			new RGB(99, 0, 156),
			new RGB(100, 0, 155),
			new RGB(101, 0, 154),
			new RGB(102, 0, 153),
			new RGB(103, 0, 152),
			new RGB(104, 0, 151),
			new RGB(105, 0, 150),
			new RGB(106, 0, 149),
			new RGB(107, 0, 148),
			new RGB(108, 0, 147),
			new RGB(109, 0, 146),
			new RGB(110, 0, 145),
			new RGB(111, 0, 144),
			new RGB(112, 0, 143),
			new RGB(113, 0, 142),
			new RGB(114, 0, 141),
			new RGB(115, 0, 140),
			new RGB(116, 0, 139),
			new RGB(117, 0, 138),
			new RGB(118, 0, 137),
			new RGB(119, 0, 136),
			new RGB(120, 0, 135),
			new RGB(121, 0, 134),
			new RGB(122, 0, 133),
			new RGB(123, 0, 132),
			new RGB(124, 0, 131),
			new RGB(125, 0, 130),
			new RGB(126, 0, 129),
			new RGB(127, 0, 128),
			new RGB(128, 0, 127),
			new RGB(129, 0, 126),
			new RGB(130, 0, 125),
			new RGB(131, 0, 124),
			new RGB(132, 0, 123),
			new RGB(133, 0, 122),
			new RGB(134, 0, 121),
			new RGB(135, 0, 120),
			new RGB(136, 0, 119),
			new RGB(137, 0, 118),
			new RGB(138, 0, 117),
			new RGB(139, 0, 116),
			new RGB(140, 0, 115),
			new RGB(141, 0, 114),
			new RGB(142, 0, 113),
			new RGB(143, 0, 112),
			new RGB(144, 0, 111),
			new RGB(145, 0, 110),
			new RGB(146, 0, 109),
			new RGB(147, 0, 108),
			new RGB(148, 0, 107),
			new RGB(149, 0, 106),
			new RGB(150, 0, 105),
			new RGB(151, 0, 104),
			new RGB(152, 0, 103),
			new RGB(153, 0, 102),
			new RGB(154, 0, 101),
			new RGB(155, 0, 100),
			new RGB(156, 0, 99),
			new RGB(157, 0, 98),
			new RGB(158, 0, 97),
			new RGB(159, 0, 96),
			new RGB(160, 0, 95),
			new RGB(161, 0, 94),
			new RGB(162, 0, 93),
			new RGB(163, 0, 92),
			new RGB(164, 0, 91),
			new RGB(165, 0, 90),
			new RGB(166, 0, 89),
			new RGB(167, 0, 88),
			new RGB(168, 0, 87),
			new RGB(169, 0, 86),
			new RGB(170, 0, 85),
			new RGB(171, 0, 84),
			new RGB(172, 0, 83),
			new RGB(173, 0, 82),
			new RGB(174, 0, 81),
			new RGB(175, 0, 80),
			new RGB(176, 0, 79),
			new RGB(177, 0, 78),
			new RGB(178, 0, 77),
			new RGB(179, 0, 76),
			new RGB(180, 0, 75),
			new RGB(181, 0, 74),
			new RGB(182, 0, 73),
			new RGB(183, 0, 72),
			new RGB(184, 0, 71),
			new RGB(185, 0, 70),
			new RGB(186, 0, 69),
			new RGB(187, 0, 68),
			new RGB(188, 0, 67),
			new RGB(189, 0, 66),
			new RGB(190, 0, 65),
			new RGB(191, 0, 64),
			new RGB(192, 0, 63),
			new RGB(193, 0, 62),
			new RGB(194, 0, 61),
			new RGB(195, 0, 60),
			new RGB(196, 0, 59),
			new RGB(197, 0, 58),
			new RGB(198, 0, 57),
			new RGB(199, 0, 56),
			new RGB(200, 0, 55),
			new RGB(201, 0, 54),
			new RGB(202, 0, 53),
			new RGB(203, 0, 52),
			new RGB(204, 0, 51),
			new RGB(205, 0, 50),
			new RGB(206, 0, 49),
			new RGB(207, 0, 48),
			new RGB(208, 0, 47),
			new RGB(209, 0, 46),
			new RGB(210, 0, 45),
			new RGB(211, 0, 44),
			new RGB(212, 0, 43),
			new RGB(213, 0, 42),
			new RGB(214, 0, 41),
			new RGB(215, 0, 40),
			new RGB(216, 0, 39),
			new RGB(217, 0, 38),
			new RGB(218, 0, 37),
			new RGB(219, 0, 36),
			new RGB(220, 0, 35),
			new RGB(221, 0, 34),
			new RGB(222, 0, 33),
			new RGB(223, 0, 32),
			new RGB(224, 0, 31),
			new RGB(225, 0, 30),
			new RGB(226, 0, 29),
			new RGB(227, 0, 28),
			new RGB(228, 0, 27),
			new RGB(229, 0, 26),
			new RGB(230, 0, 25),
			new RGB(231, 0, 24),
			new RGB(232, 0, 23),
			new RGB(233, 0, 22),
			new RGB(234, 0, 21),
			new RGB(235, 0, 20),
			new RGB(236, 0, 19),
			new RGB(237, 0, 18),
			new RGB(238, 0, 17),
			new RGB(239, 0, 16),
			new RGB(240, 0, 15),
			new RGB(241, 0, 14),
			new RGB(242, 0, 13),
			new RGB(243, 0, 12),
			new RGB(244, 0, 11),
			new RGB(245, 0, 10),
			new RGB(246, 0, 9),
			new RGB(247, 0, 8),
			new RGB(248, 0, 7),
			new RGB(249, 0, 6),
			new RGB(250, 0, 5),
			new RGB(251, 0, 4),
			new RGB(252, 0, 3),
			new RGB(253, 0, 2),
			new RGB(254, 0, 1),
			new RGB(255, 0, 0),
			};

	/** RGB scale using rainbow RGBs: From pastel red over pastel blue
	 * and pastel green to light pastel tones and white.
	 */
	public static final RGB[] RAINBOW =
		{
			//new RGB(0, 0, 0),
			new RGB(45, 0, 36),
			new RGB(56, 0, 46),
			new RGB(60, 0, 49),
			new RGB(67, 0, 54),
			new RGB(70, 0, 59),
			new RGB(71, 0, 61),
			new RGB(75, 0, 68),
			new RGB(74, 0, 73),
			new RGB(74, 0, 77),
			new RGB(73, 0, 81),
			new RGB(71, 0, 87),
			new RGB(69, 1, 90),
			new RGB(68, 2, 94),
			new RGB(66, 3, 97),
			new RGB(63, 6, 102),
			new RGB(61, 7, 106),
			new RGB(58, 10, 109),
			new RGB(56, 12, 113),
			new RGB(53, 15, 116),
			new RGB(48, 18, 119),
			new RGB(47, 20, 121),
			new RGB(44, 23, 124),
			new RGB(41, 27, 128),
			new RGB(40, 28, 129),
			new RGB(37, 32, 132),
			new RGB(34, 36, 134),
			new RGB(29, 43, 137),
			new RGB(25, 52, 138),
			new RGB(24, 57, 139),
			new RGB(24, 62, 141),
			new RGB(24, 64, 142),
			new RGB(23, 65, 142),
			new RGB(23, 69, 143),
			new RGB(23, 71, 142),
			new RGB(23, 71, 142),
			new RGB(23, 73, 142),
			new RGB(23, 75, 142),
			new RGB(23, 75, 142),
			new RGB(23, 78, 142),
			new RGB(23, 80, 142),
			new RGB(23, 80, 142),
			new RGB(23, 82, 141),
			new RGB(23, 85, 141),
			new RGB(23, 85, 141),
			new RGB(23, 87, 140),
			new RGB(23, 87, 140),
			new RGB(24, 90, 140),
			new RGB(24, 90, 140),
			new RGB(24, 93, 139),
			new RGB(24, 93, 139),
			new RGB(24, 93, 139),
			new RGB(24, 93, 139),
			new RGB(24, 97, 139),
			new RGB(24, 97, 139),
			new RGB(25, 101, 138),
			new RGB(25, 101, 138),
			new RGB(25, 104, 137),
			new RGB(25, 104, 137),
			new RGB(25, 104, 137),
			new RGB(26, 108, 137),
			new RGB(26, 108, 137),
			new RGB(27, 111, 136),
			new RGB(27, 111, 136),
			new RGB(27, 111, 136),
			new RGB(27, 115, 135),
			new RGB(27, 115, 135),
			new RGB(28, 118, 134),
			new RGB(28, 118, 134),
			new RGB(29, 122, 133),
			new RGB(29, 122, 133),
			new RGB(29, 122, 133),
			new RGB(29, 122, 133),
			new RGB(29, 125, 132),
			new RGB(29, 125, 132),
			new RGB(30, 128, 131),
			new RGB(30, 128, 131),
			new RGB(31, 131, 130),
			new RGB(31, 131, 130),
			new RGB(31, 131, 130),
			new RGB(32, 134, 128),
			new RGB(32, 134, 128),
			new RGB(33, 137, 127),
			new RGB(33, 137, 127),
			new RGB(33, 137, 127),
			new RGB(34, 140, 125),
			new RGB(34, 140, 125),
			new RGB(35, 142, 123),
			new RGB(35, 142, 123),
			new RGB(36, 145, 121),
			new RGB(36, 145, 121),
			new RGB(36, 145, 121),
			new RGB(37, 147, 118),
			new RGB(37, 147, 118),
			new RGB(38, 150, 116),
			new RGB(38, 150, 116),
			new RGB(40, 152, 113),
			new RGB(40, 152, 113),
			new RGB(41, 154, 111),
			new RGB(41, 154, 111),
			new RGB(42, 156, 108),
			new RGB(42, 156, 108),
			new RGB(43, 158, 106),
			new RGB(43, 158, 106),
			new RGB(43, 158, 106),
			new RGB(45, 160, 104),
			new RGB(45, 160, 104),
			new RGB(46, 162, 101),
			new RGB(46, 162, 101),
			new RGB(48, 164, 99),
			new RGB(48, 164, 99),
			new RGB(50, 166, 97),
			new RGB(50, 166, 97),
			new RGB(51, 168, 95),
			new RGB(53, 170, 93),
			new RGB(53, 170, 93),
			new RGB(53, 170, 93),
			new RGB(55, 172, 91),
			new RGB(55, 172, 91),
			new RGB(57, 174, 88),
			new RGB(57, 174, 88),
			new RGB(59, 175, 86),
			new RGB(62, 177, 84),
			new RGB(64, 178, 82),
			new RGB(64, 178, 82),
			new RGB(67, 180, 80),
			new RGB(67, 180, 80),
			new RGB(69, 181, 79),
			new RGB(72, 183, 77),
			new RGB(72, 183, 77),
			new RGB(72, 183, 77),
			new RGB(75, 184, 76),
			new RGB(77, 186, 74),
			new RGB(80, 187, 73),
			new RGB(83, 189, 72),
			new RGB(87, 190, 72),
			new RGB(91, 191, 71),
			new RGB(95, 192, 70),
			new RGB(99, 193, 70),
			new RGB(103, 194, 70),
			new RGB(107, 195, 70),
			new RGB(111, 196, 70),
			new RGB(111, 196, 70),
			new RGB(115, 196, 70),
			new RGB(119, 197, 70),
			new RGB(123, 197, 70),
			new RGB(130, 198, 71),
			new RGB(133, 199, 71),
			new RGB(137, 199, 72),
			new RGB(140, 199, 72),
			new RGB(143, 199, 73),
			new RGB(143, 199, 73),
			new RGB(147, 199, 73),
			new RGB(150, 199, 74),
			new RGB(153, 199, 74),
			new RGB(156, 199, 75),
			new RGB(160, 200, 76),
			new RGB(167, 200, 78),
			new RGB(170, 200, 79),
			new RGB(173, 200, 79),
			new RGB(173, 200, 79),
			new RGB(177, 200, 80),
			new RGB(180, 200, 81),
			new RGB(183, 199, 82),
			new RGB(186, 199, 82),
			new RGB(190, 199, 83),
			new RGB(196, 199, 85),
			new RGB(199, 198, 85),
			new RGB(199, 198, 85),
			new RGB(203, 198, 86),
			new RGB(206, 197, 87),
			new RGB(212, 197, 89),
			new RGB(215, 196, 90),
			new RGB(218, 195, 91),
			new RGB(224, 194, 94),
			new RGB(224, 194, 94),
			new RGB(230, 193, 96),
			new RGB(233, 192, 98),
			new RGB(236, 190, 100),
			new RGB(238, 189, 104),
			new RGB(240, 188, 106),
			new RGB(240, 188, 106),
			new RGB(242, 187, 110),
			new RGB(244, 185, 114),
			new RGB(245, 184, 116),
			new RGB(247, 183, 120),
			new RGB(248, 182, 123),
			new RGB(248, 182, 123),
			new RGB(250, 181, 125),
			new RGB(251, 180, 128),
			new RGB(252, 180, 130),
			new RGB(253, 180, 133),
			new RGB(253, 180, 133),
			new RGB(254, 180, 134),
			new RGB(254, 179, 138),
			new RGB(255, 179, 142),
			new RGB(255, 179, 145),
			new RGB(255, 179, 145),
			new RGB(255, 179, 152),
			new RGB(255, 180, 161),
			new RGB(255, 180, 164),
			new RGB(255, 180, 167),
			new RGB(255, 180, 167),
			new RGB(255, 181, 169),
			new RGB(255, 181, 170),
			new RGB(255, 182, 173),
			new RGB(255, 183, 176),
			new RGB(255, 183, 176),
			new RGB(255, 184, 179),
			new RGB(255, 185, 179),
			new RGB(255, 185, 182),
			new RGB(255, 186, 182),
			new RGB(255, 186, 182),
			new RGB(255, 187, 185),
			new RGB(255, 188, 185),
			new RGB(255, 189, 188),
			new RGB(255, 189, 188),
			new RGB(255, 190, 188),
			new RGB(255, 191, 191),
			new RGB(255, 192, 191),
			new RGB(255, 194, 194),
			new RGB(255, 194, 194),
			new RGB(255, 197, 197),
			new RGB(255, 198, 198),
			new RGB(255, 200, 200),
			new RGB(255, 201, 201),
			new RGB(255, 201, 201),
			new RGB(255, 202, 202),
			new RGB(255, 203, 203),
			new RGB(255, 205, 205),
			new RGB(255, 206, 206),
			new RGB(255, 206, 206),
			new RGB(255, 208, 208),
			new RGB(255, 209, 209),
			new RGB(255, 211, 211),
			new RGB(255, 215, 215),
			new RGB(255, 216, 216),
			new RGB(255, 216, 216),
			new RGB(255, 218, 218),
			new RGB(255, 219, 219),
			new RGB(255, 221, 221),
			new RGB(255, 223, 223),
			new RGB(255, 226, 226),
			new RGB(255, 228, 228),
			new RGB(255, 230, 230),
			new RGB(255, 230, 230),
			new RGB(255, 232, 232),
			new RGB(255, 235, 235),
			new RGB(255, 237, 237),
			new RGB(255, 240, 240),
			new RGB(255, 243, 243),
			new RGB(255, 246, 246),
			new RGB(255, 249, 249),
			new RGB(255, 251, 251),
			new RGB(255, 253, 253),
			new RGB(255, 255, 255)};

	/** Nearly linear optimal scale: Like Linear Optimal but lighter tones
	 * starting earlier.
	 */
	public static final RGB[] NEARLY_LINEAR_OPTIMAL =
		{
			//new RGB(0, 0, 0),
			new RGB(4, 0, 0),
			new RGB(8, 0, 0),
			new RGB(12, 0, 0),
			new RGB(16, 0, 0),
			new RGB(20, 0, 0),
			new RGB(24, 0, 0),
			new RGB(28, 0, 0),
			new RGB(32, 0, 0),
			new RGB(36, 0, 0),
			new RGB(40, 0, 0),
			new RGB(44, 0, 0),
			new RGB(48, 0, 0),
			new RGB(52, 0, 0),
			new RGB(56, 0, 0),
			new RGB(60, 0, 0),
			new RGB(64, 0, 0),
			new RGB(68, 0, 0),
			new RGB(72, 0, 0),
			new RGB(76, 0, 0),
			new RGB(80, 0, 0),
			new RGB(84, 0, 0),
			new RGB(88, 0, 0),
			new RGB(92, 0, 0),
			new RGB(96, 0, 0),
			new RGB(100, 0, 0),
			new RGB(104, 0, 0),
			new RGB(108, 0, 0),
			new RGB(112, 0, 0),
			new RGB(116, 0, 0),
			new RGB(120, 3, 0),
			new RGB(120, 5, 0),
			new RGB(120, 8, 0),
			new RGB(120, 10, 0),
			new RGB(120, 13, 0),
			new RGB(120, 15, 0),
			new RGB(120, 18, 0),
			new RGB(120, 20, 0),
			new RGB(120, 23, 0),
			new RGB(120, 25, 0),
			new RGB(120, 28, 0),
			new RGB(120, 30, 0),
			new RGB(120, 33, 0),
			new RGB(120, 35, 0),
			new RGB(120, 38, 0),
			new RGB(120, 40, 0),
			new RGB(120, 43, 0),
			new RGB(120, 45, 0),
			new RGB(120, 48, 0),
			new RGB(120, 50, 0),
			new RGB(120, 53, 0),
			new RGB(120, 55, 0),
			new RGB(120, 58, 0),
			new RGB(120, 60, 0),
			new RGB(120, 63, 0),
			new RGB(120, 65, 0),
			new RGB(120, 68, 0),
			new RGB(120, 70, 0),
			new RGB(120, 73, 0),
			new RGB(120, 75, 0),
			new RGB(120, 78, 0),
			new RGB(120, 80, 0),
			new RGB(120, 83, 0),
			new RGB(120, 85, 0),
			new RGB(120, 88, 0),
			new RGB(120, 90, 0),
			new RGB(120, 93, 0),
			new RGB(120, 95, 0),
			new RGB(120, 98, 0),
			new RGB(120, 100, 0),
			new RGB(120, 103, 0),
			new RGB(120, 105, 0),
			new RGB(120, 108, 0),
			new RGB(120, 110, 0),
			new RGB(120, 113, 0),
			new RGB(120, 115, 0),
			new RGB(120, 118, 0),
			new RGB(120, 120, 0),
			new RGB(120, 123, 0),
			new RGB(120, 125, 3),
			new RGB(120, 128, 5),
			new RGB(120, 130, 8),
			new RGB(120, 133, 10),
			new RGB(120, 135, 13),
			new RGB(120, 138, 15),
			new RGB(120, 140, 18),
			new RGB(120, 143, 20),
			new RGB(120, 145, 23),
			new RGB(121, 148, 25),
			new RGB(122, 150, 28),
			new RGB(123, 153, 30),
			new RGB(124, 155, 33),
			new RGB(125, 158, 35),
			new RGB(126, 160, 38),
			new RGB(127, 163, 40),
			new RGB(128, 165, 43),
			new RGB(129, 168, 45),
			new RGB(130, 170, 48),
			new RGB(131, 173, 50),
			new RGB(132, 175, 53),
			new RGB(132, 178, 55),
			new RGB(132, 180, 58),
			new RGB(132, 183, 60),
			new RGB(132, 185, 63),
			new RGB(132, 188, 65),
			new RGB(132, 190, 68),
			new RGB(132, 193, 70),
			new RGB(132, 195, 73),
			new RGB(132, 198, 75),
			new RGB(132, 200, 78),
			new RGB(132, 203, 80),
			new RGB(132, 205, 83),
			new RGB(132, 208, 85),
			new RGB(132, 210, 88),
			new RGB(132, 213, 90),
			new RGB(132, 215, 93),
			new RGB(132, 218, 95),
			new RGB(132, 220, 98),
			new RGB(132, 223, 100),
			new RGB(132, 225, 103),
			new RGB(132, 228, 105),
			new RGB(132, 230, 108),
			new RGB(132, 233, 110),
			new RGB(132, 235, 113),
			new RGB(132, 238, 115),
			new RGB(132, 240, 118),
			new RGB(132, 243, 120),
			new RGB(132, 245, 123),
			new RGB(132, 248, 125),
			new RGB(132, 250, 128),
			new RGB(132, 253, 130),
			new RGB(132, 255, 133),
			new RGB(132, 255, 135),
			new RGB(132, 255, 138),
			new RGB(132, 255, 140),
			new RGB(132, 255, 143),
			new RGB(132, 255, 145),
			new RGB(132, 255, 148),
			new RGB(132, 255, 150),
			new RGB(132, 255, 153),
			new RGB(132, 255, 155),
			new RGB(132, 255, 158),
			new RGB(132, 255, 160),
			new RGB(132, 255, 163),
			new RGB(132, 255, 165),
			new RGB(132, 255, 168),
			new RGB(132, 255, 170),
			new RGB(132, 255, 173),
			new RGB(132, 255, 175),
			new RGB(132, 255, 178),
			new RGB(132, 255, 180),
			new RGB(132, 255, 183),
			new RGB(132, 255, 185),
			new RGB(132, 255, 188),
			new RGB(132, 255, 190),
			new RGB(132, 255, 193),
			new RGB(132, 255, 195),
			new RGB(132, 255, 198),
			new RGB(132, 255, 200),
			new RGB(132, 255, 203),
			new RGB(132, 255, 205),
			new RGB(132, 255, 208),
			new RGB(132, 255, 210),
			new RGB(132, 255, 213),
			new RGB(132, 255, 215),
			new RGB(132, 255, 218),
			new RGB(132, 255, 220),
			new RGB(132, 255, 223),
			new RGB(132, 255, 225),
			new RGB(132, 255, 228),
			new RGB(132, 255, 230),
			new RGB(132, 255, 233),
			new RGB(132, 255, 235),
			new RGB(132, 255, 238),
			new RGB(132, 255, 240),
			new RGB(132, 255, 243),
			new RGB(132, 255, 245),
			new RGB(132, 255, 248),
			new RGB(132, 255, 250),
			new RGB(132, 255, 253),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(132, 255, 255),
			new RGB(135, 255, 255),
			new RGB(137, 255, 255),
			new RGB(140, 255, 255),
			new RGB(143, 255, 255),
			new RGB(145, 255, 255),
			new RGB(148, 255, 255),
			new RGB(150, 255, 255),
			new RGB(153, 255, 255),
			new RGB(155, 255, 255),
			new RGB(158, 255, 255),
			new RGB(160, 255, 255),
			new RGB(163, 255, 255),
			new RGB(165, 255, 255),
			new RGB(168, 255, 255),
			new RGB(170, 255, 255),
			new RGB(173, 255, 255),
			new RGB(175, 255, 255),
			new RGB(178, 255, 255),
			new RGB(180, 255, 255),
			new RGB(183, 255, 255),
			new RGB(185, 255, 255),
			new RGB(188, 255, 255),
			new RGB(190, 255, 255),
			new RGB(193, 255, 255),
			new RGB(195, 255, 255),
			new RGB(198, 255, 255),
			new RGB(200, 255, 255),
			new RGB(203, 255, 255),
			new RGB(205, 255, 255),
			new RGB(208, 255, 255),
			new RGB(210, 255, 255),
			new RGB(213, 255, 255),
			new RGB(215, 255, 255),
			new RGB(218, 255, 255),
			new RGB(220, 255, 255),
			new RGB(223, 255, 255),
			new RGB(225, 255, 255),
			new RGB(228, 255, 255),
			new RGB(230, 255, 255),
			new RGB(233, 255, 255),
			new RGB(235, 255, 255),
			new RGB(238, 255, 255),
			new RGB(240, 255, 255),
			new RGB(243, 255, 255),
			new RGB(245, 255, 255),
			new RGB(248, 255, 255),
			new RGB(250, 255, 255),
			new RGB(253, 255, 255),
			new RGB(255, 255, 255),
			new RGB(255, 255, 255),
			new RGB(255, 255, 255)};

	/** RGB scale using organge tones: from dark orange 
	 * over light orange to white. */
	public static final RGB[] HEATED_OBJECT =
		{
			//new RGB(0, 0, 0),
			new RGB(35, 0, 0),
			new RGB(52, 0, 0),
			new RGB(60, 0, 0),
			new RGB(63, 1, 0),
			new RGB(64, 2, 0),
			new RGB(68, 5, 0),
			new RGB(69, 6, 0),
			new RGB(72, 8, 0),
			new RGB(74, 10, 0),
			new RGB(77, 12, 0),
			new RGB(78, 14, 0),
			new RGB(81, 16, 0),
			new RGB(83, 17, 0),
			new RGB(85, 19, 0),
			new RGB(86, 20, 0),
			new RGB(89, 22, 0),
			new RGB(91, 24, 0),
			new RGB(92, 25, 0),
			new RGB(94, 26, 0),
			new RGB(95, 28, 0),
			new RGB(98, 30, 0),
			new RGB(100, 31, 0),
			new RGB(102, 33, 0),
			new RGB(103, 34, 0),
			new RGB(105, 35, 0),
			new RGB(106, 36, 0),
			new RGB(108, 38, 0),
			new RGB(109, 39, 0),
			new RGB(111, 40, 0),
			new RGB(112, 42, 0),
			new RGB(114, 43, 0),
			new RGB(115, 44, 0),
			new RGB(117, 45, 0),
			new RGB(119, 47, 0),
			new RGB(119, 47, 0),
			new RGB(120, 48, 0),
			new RGB(122, 49, 0),
			new RGB(123, 51, 0),
			new RGB(125, 52, 0),
			new RGB(125, 52, 0),
			new RGB(126, 53, 0),
			new RGB(128, 54, 0),
			new RGB(129, 56, 0),
			new RGB(129, 56, 0),
			new RGB(131, 57, 0),
			new RGB(132, 58, 0),
			new RGB(134, 59, 0),
			new RGB(134, 59, 0),
			new RGB(136, 61, 0),
			new RGB(137, 62, 0),
			new RGB(137, 62, 0),
			new RGB(139, 63, 0),
			new RGB(139, 63, 0),
			new RGB(140, 65, 0),
			new RGB(142, 66, 0),
			new RGB(142, 66, 0),
			new RGB(143, 67, 0),
			new RGB(143, 67, 0),
			new RGB(145, 68, 0),
			new RGB(145, 68, 0),
			new RGB(146, 70, 0),
			new RGB(146, 70, 0),
			new RGB(148, 71, 0),
			new RGB(148, 71, 0),
			new RGB(149, 72, 0),
			new RGB(149, 72, 0),
			new RGB(151, 73, 0),
			new RGB(151, 73, 0),
			new RGB(153, 75, 0),
			new RGB(153, 75, 0),
			new RGB(154, 76, 0),
			new RGB(154, 76, 0),
			new RGB(154, 76, 0),
			new RGB(156, 77, 0),
			new RGB(156, 77, 0),
			new RGB(157, 79, 0),
			new RGB(157, 79, 0),
			new RGB(159, 80, 0),
			new RGB(159, 80, 0),
			new RGB(159, 80, 0),
			new RGB(160, 81, 0),
			new RGB(160, 81, 0),
			new RGB(162, 82, 0),
			new RGB(162, 82, 0),
			new RGB(163, 84, 0),
			new RGB(163, 84, 0),
			new RGB(165, 85, 0),
			new RGB(165, 85, 0),
			new RGB(166, 86, 0),
			new RGB(166, 86, 0),
			new RGB(166, 86, 0),
			new RGB(168, 87, 0),
			new RGB(168, 87, 0),
			new RGB(170, 89, 0),
			new RGB(170, 89, 0),
			new RGB(171, 90, 0),
			new RGB(171, 90, 0),
			new RGB(173, 91, 0),
			new RGB(173, 91, 0),
			new RGB(174, 93, 0),
			new RGB(174, 93, 0),
			new RGB(176, 94, 0),
			new RGB(176, 94, 0),
			new RGB(177, 95, 0),
			new RGB(177, 95, 0),
			new RGB(179, 96, 0),
			new RGB(179, 96, 0),
			new RGB(180, 98, 0),
			new RGB(182, 99, 0),
			new RGB(182, 99, 0),
			new RGB(183, 100, 0),
			new RGB(183, 100, 0),
			new RGB(185, 102, 0),
			new RGB(185, 102, 0),
			new RGB(187, 103, 0),
			new RGB(187, 103, 0),
			new RGB(188, 104, 0),
			new RGB(188, 104, 0),
			new RGB(190, 105, 0),
			new RGB(191, 107, 0),
			new RGB(191, 107, 0),
			new RGB(193, 108, 0),
			new RGB(193, 108, 0),
			new RGB(194, 109, 0),
			new RGB(196, 110, 0),
			new RGB(196, 110, 0),
			new RGB(197, 112, 0),
			new RGB(197, 112, 0),
			new RGB(199, 113, 0),
			new RGB(200, 114, 0),
			new RGB(200, 114, 0),
			new RGB(202, 116, 0),
			new RGB(202, 116, 0),
			new RGB(204, 117, 0),
			new RGB(205, 118, 0),
			new RGB(205, 118, 0),
			new RGB(207, 119, 0),
			new RGB(208, 121, 0),
			new RGB(208, 121, 0),
			new RGB(210, 122, 0),
			new RGB(211, 123, 0),
			new RGB(211, 123, 0),
			new RGB(213, 124, 0),
			new RGB(214, 126, 0),
			new RGB(214, 126, 0),
			new RGB(216, 127, 0),
			new RGB(217, 128, 0),
			new RGB(217, 128, 0),
			new RGB(219, 130, 0),
			new RGB(221, 131, 0),
			new RGB(222, 132, 0),
			new RGB(224, 133, 0),
			new RGB(224, 133, 0),
			new RGB(225, 135, 0),
			new RGB(227, 136, 0),
			new RGB(227, 136, 0),
			new RGB(228, 137, 0),
			new RGB(230, 138, 0),
			new RGB(230, 138, 0),
			new RGB(231, 140, 0),
			new RGB(233, 141, 0),
			new RGB(233, 141, 0),
			new RGB(234, 142, 0),
			new RGB(236, 144, 0),
			new RGB(236, 144, 0),
			new RGB(238, 145, 0),
			new RGB(239, 146, 0),
			new RGB(241, 147, 0),
			new RGB(241, 147, 0),
			new RGB(242, 149, 0),
			new RGB(244, 150, 0),
			new RGB(244, 150, 0),
			new RGB(245, 151, 0),
			new RGB(247, 153, 0),
			new RGB(247, 153, 0),
			new RGB(248, 153, 0),
			new RGB(250, 155, 0),
			new RGB(251, 156, 0),
			new RGB(251, 156, 0),
			new RGB(253, 158, 0),
			new RGB(255, 159, 0),
			new RGB(255, 159, 0),
			new RGB(255, 160, 0),
			new RGB(255, 161, 0),
			new RGB(255, 163, 0),
			new RGB(255, 163, 0),
			new RGB(255, 164, 0),
			new RGB(255, 165, 0),
			new RGB(255, 167, 0),
			new RGB(255, 167, 0),
			new RGB(255, 168, 0),
			new RGB(255, 169, 0),
			new RGB(255, 169, 0),
			new RGB(255, 170, 0),
			new RGB(255, 172, 0),
			new RGB(255, 173, 0),
			new RGB(255, 173, 0),
			new RGB(255, 174, 0),
			new RGB(255, 175, 0),
			new RGB(255, 177, 0),
			new RGB(255, 178, 0),
			new RGB(255, 179, 0),
			new RGB(255, 181, 0),
			new RGB(255, 181, 0),
			new RGB(255, 182, 0),
			new RGB(255, 183, 0),
			new RGB(255, 184, 0),
			new RGB(255, 187, 7),
			new RGB(255, 188, 10),
			new RGB(255, 189, 14),
			new RGB(255, 191, 18),
			new RGB(255, 192, 21),
			new RGB(255, 193, 25),
			new RGB(255, 195, 29),
			new RGB(255, 197, 36),
			new RGB(255, 198, 40),
			new RGB(255, 200, 43),
			new RGB(255, 202, 51),
			new RGB(255, 204, 54),
			new RGB(255, 206, 61),
			new RGB(255, 207, 65),
			new RGB(255, 210, 72),
			new RGB(255, 211, 76),
			new RGB(255, 214, 83),
			new RGB(255, 216, 91),
			new RGB(255, 219, 98),
			new RGB(255, 221, 105),
			new RGB(255, 223, 109),
			new RGB(255, 225, 116),
			new RGB(255, 228, 123),
			new RGB(255, 232, 134),
			new RGB(255, 234, 142),
			new RGB(255, 237, 149),
			new RGB(255, 239, 156),
			new RGB(255, 240, 160),
			new RGB(255, 243, 167),
			new RGB(255, 246, 174),
			new RGB(255, 248, 182),
			new RGB(255, 249, 185),
			new RGB(255, 252, 193),
			new RGB(255, 253, 196),
			new RGB(255, 255, 204),
			new RGB(255, 255, 207),
			new RGB(255, 255, 211),
			new RGB(255, 255, 218),
			new RGB(255, 255, 222),
			new RGB(255, 255, 225),
			new RGB(255, 255, 229),
			new RGB(255, 255, 233),
			new RGB(255, 255, 236),
			new RGB(255, 255, 240),
			new RGB(255, 255, 244),
			new RGB(255, 255, 247),
			new RGB(255, 255, 255),
			new RGB(255, 255, 255)};

	/** Linear gray scale: From black over gray tones to white. */
	public static final RGB[] LINEAR_GRAY =
		{ //new RGB(0, 0, 0), // Linear Gray
		//new RGB(0, 0, 0),
			new RGB(0, 0, 0),
			new RGB(0, 0, 0),
			new RGB(0, 0, 0),
			new RGB(0, 0, 0),
			new RGB(0, 0, 0),
			new RGB(1, 1, 1),
			new RGB(1, 1, 1),
			new RGB(1, 1, 1),
			new RGB(1, 1, 1),
			new RGB(1, 1, 1),
			new RGB(1, 1, 1),
			new RGB(1, 1, 1),
			new RGB(1, 1, 1),
			new RGB(1, 1, 1),
			new RGB(2, 2, 2),
			new RGB(2, 2, 2),
			new RGB(2, 2, 2),
			new RGB(2, 2, 2),
			new RGB(2, 2, 2),
			new RGB(2, 2, 2),
			new RGB(2, 2, 2),
			new RGB(3, 3, 3),
			new RGB(3, 3, 3),
			new RGB(3, 3, 3),
			new RGB(3, 3, 3),
			new RGB(3, 3, 3),
			new RGB(3, 3, 3),
			new RGB(3, 3, 3),
			new RGB(4, 4, 4),
			new RGB(4, 4, 4),
			new RGB(4, 4, 4),
			new RGB(4, 4, 4),
			new RGB(4, 4, 4),
			new RGB(5, 5, 5),
			new RGB(5, 5, 5),
			new RGB(5, 5, 5),
			new RGB(5, 5, 5),
			new RGB(5, 5, 5),
			new RGB(6, 6, 6),
			new RGB(6, 6, 6),
			new RGB(6, 6, 6),
			new RGB(6, 6, 6),
			new RGB(6, 6, 6),
			new RGB(7, 7, 7),
			new RGB(7, 7, 7),
			new RGB(7, 7, 7),
			new RGB(7, 7, 7),
			new RGB(7, 7, 7),
			new RGB(8, 8, 8),
			new RGB(8, 8, 8),
			new RGB(9, 9, 9),
			new RGB(9, 9, 9),
			new RGB(9, 9, 9),
			new RGB(9, 9, 9),
			new RGB(10, 10, 10),
			new RGB(10, 10, 10),
			new RGB(10, 10, 10),
			new RGB(10, 10, 10),
			new RGB(10, 10, 10),
			new RGB(11, 11, 11),
			new RGB(11, 11, 11),
			new RGB(12, 12, 12),
			new RGB(12, 12, 12),
			new RGB(12, 12, 12),
			new RGB(13, 13, 13),
			new RGB(13, 13, 13),
			new RGB(14, 14, 14),
			new RGB(14, 14, 14),
			new RGB(15, 15, 15),
			new RGB(15, 15, 15),
			new RGB(15, 15, 15),
			new RGB(16, 16, 16),
			new RGB(16, 16, 16),
			new RGB(17, 17, 17),
			new RGB(17, 17, 17),
			new RGB(18, 18, 18),
			new RGB(18, 18, 18),
			new RGB(19, 19, 19),
			new RGB(19, 19, 19),
			new RGB(19, 19, 19),
			new RGB(19, 19, 19),
			new RGB(19, 19, 19),
			new RGB(20, 20, 20),
			new RGB(20, 20, 20),
			new RGB(22, 22, 22),
			new RGB(22, 22, 22),
			new RGB(22, 22, 22),
			new RGB(23, 23, 23),
			new RGB(23, 23, 23),
			new RGB(24, 24, 24),
			new RGB(24, 24, 24),
			new RGB(26, 26, 26),
			new RGB(26, 26, 26),
			new RGB(26, 26, 26),
			new RGB(27, 27, 27),
			new RGB(27, 27, 27),
			new RGB(29, 29, 29),
			new RGB(29, 29, 29),
			new RGB(30, 30, 30),
			new RGB(30, 30, 30),
			new RGB(32, 32, 32),
			new RGB(32, 32, 32),
			new RGB(32, 32, 32),
			new RGB(32, 32, 32),
			new RGB(32, 32, 32),
			new RGB(34, 34, 34),
			new RGB(34, 34, 34),
			new RGB(35, 35, 35),
			new RGB(35, 35, 35),
			new RGB(35, 35, 35),
			new RGB(37, 37, 37),
			new RGB(37, 37, 37),
			new RGB(39, 39, 39),
			new RGB(39, 39, 39),
			new RGB(41, 41, 41),
			new RGB(41, 41, 41),
			new RGB(41, 41, 41),
			new RGB(43, 43, 43),
			new RGB(43, 43, 43),
			new RGB(45, 45, 45),
			new RGB(45, 45, 45),
			new RGB(46, 46, 46),
			new RGB(46, 46, 46),
			new RGB(46, 46, 46),
			new RGB(47, 47, 47),
			new RGB(47, 47, 47),
			new RGB(49, 49, 49),
			new RGB(49, 49, 49),
			new RGB(51, 51, 51),
			new RGB(51, 51, 51),
			new RGB(52, 52, 52),
			new RGB(52, 52, 52),
			new RGB(52, 52, 52),
			new RGB(54, 54, 54),
			new RGB(54, 54, 54),
			new RGB(56, 56, 56),
			new RGB(56, 56, 56),
			new RGB(59, 59, 59),
			new RGB(59, 59, 59),
			new RGB(59, 59, 59),
			new RGB(61, 61, 61),
			new RGB(61, 61, 61),
			new RGB(64, 64, 64),
			new RGB(64, 64, 64),
			new RGB(67, 67, 67),
			new RGB(67, 67, 67),
			new RGB(67, 67, 67),
			new RGB(69, 69, 69),
			new RGB(69, 69, 69),
			new RGB(72, 72, 72),
			new RGB(72, 72, 72),
			new RGB(75, 75, 75),
			new RGB(75, 75, 75),
			new RGB(76, 76, 76),
			new RGB(76, 76, 76),
			new RGB(76, 76, 76),
			new RGB(78, 78, 78),
			new RGB(78, 78, 78),
			new RGB(81, 81, 81),
			new RGB(81, 81, 81),
			new RGB(84, 84, 84),
			new RGB(84, 84, 84),
			new RGB(84, 84, 84),
			new RGB(87, 87, 87),
			new RGB(87, 87, 87),
			new RGB(91, 91, 91),
			new RGB(91, 91, 91),
			new RGB(94, 94, 94),
			new RGB(94, 94, 94),
			new RGB(94, 94, 94),
			new RGB(97, 97, 97),
			new RGB(97, 97, 97),
			new RGB(101, 101, 101),
			new RGB(101, 101, 101),
			new RGB(104, 104, 104),
			new RGB(104, 104, 104),
			new RGB(107, 107, 107),
			new RGB(107, 107, 107),
			new RGB(107, 107, 107),
			new RGB(107, 107, 107),
			new RGB(108, 108, 108),
			new RGB(108, 108, 108),
			new RGB(112, 112, 112),
			new RGB(112, 112, 112),
			new RGB(116, 116, 116),
			new RGB(116, 116, 116),
			new RGB(116, 116, 116),
			new RGB(120, 120, 120),
			new RGB(120, 120, 120),
			new RGB(124, 124, 124),
			new RGB(124, 124, 124),
			new RGB(128, 128, 128),
			new RGB(128, 128, 128),
			new RGB(128, 128, 128),
			new RGB(132, 132, 132),
			new RGB(132, 132, 132),
			new RGB(136, 136, 136),
			new RGB(136, 136, 136),
			new RGB(141, 141, 141),
			new RGB(141, 141, 141),
			new RGB(145, 145, 145),
			new RGB(145, 145, 145),
			new RGB(145, 145, 145),
			new RGB(147, 147, 147),
			new RGB(147, 147, 147),
			new RGB(150, 150, 150),
			new RGB(150, 150, 150),
			new RGB(154, 154, 154),
			new RGB(154, 154, 154),
			new RGB(154, 154, 154),
			new RGB(159, 159, 159),
			new RGB(159, 159, 159),
			new RGB(164, 164, 164),
			new RGB(164, 164, 164),
			new RGB(169, 169, 169),
			new RGB(169, 169, 169),
			new RGB(169, 169, 169),
			new RGB(174, 174, 174),
			new RGB(174, 174, 174),
			new RGB(179, 179, 179),
			new RGB(179, 179, 179),
			new RGB(185, 185, 185),
			new RGB(185, 185, 185),
			new RGB(190, 190, 190),
			new RGB(190, 190, 190),
			new RGB(190, 190, 190),
			new RGB(195, 195, 195),
			new RGB(195, 195, 195),
			new RGB(195, 195, 195),
			new RGB(195, 195, 195),
			new RGB(201, 201, 201),
			new RGB(201, 201, 201),
			new RGB(201, 201, 201),
			new RGB(207, 207, 207),
			new RGB(207, 207, 207),
			new RGB(212, 212, 212),
			new RGB(212, 212, 212),
			new RGB(218, 218, 218),
			new RGB(218, 218, 218),
			new RGB(218, 218, 218),
			new RGB(224, 224, 224),
			new RGB(224, 224, 224),
			new RGB(230, 230, 230),
			new RGB(230, 230, 230),
			new RGB(237, 237, 237),
			new RGB(237, 237, 237),
			new RGB(243, 243, 243),
			new RGB(243, 243, 243),
			new RGB(243, 243, 243),
			new RGB(249, 249, 249),
			new RGB(249, 249, 249),
			new RGB(252, 252, 252),
			new RGB(252, 252, 252),
			new RGB(252, 252, 252),
			new RGB(255, 255, 255)};

	/** RGB scale using blue tones:
	 * From dark blue over light blue to white. 
	 */
	public static final RGB[] BLUE_TONES = { //BTC
		//new RGB(0, 0, 0),
			new RGB(0, 0, 40),
			new RGB(0, 4, 56),
			new RGB(0, 9, 61),
			new RGB(0, 12, 64),
			new RGB(0, 14, 66),
			new RGB(0, 17, 69),
			new RGB(0, 20, 73),
			new RGB(0, 22, 74),
			new RGB(0, 25, 78),
			new RGB(0, 27, 79),
			new RGB(0, 30, 83),
			new RGB(0, 31, 85),
			new RGB(0, 33, 86),
			new RGB(0, 36, 90),
			new RGB(0, 38, 91),
			new RGB(0, 39, 93),
			new RGB(0, 41, 95),
			new RGB(0, 43, 96),
			new RGB(0, 46, 100),
			new RGB(0, 47, 102),
			new RGB(0, 49, 103),
			new RGB(0, 51, 105),
			new RGB(0, 52, 107),
			new RGB(0, 54, 108),
			new RGB(0, 55, 110),
			new RGB(0, 57, 112),
			new RGB(0, 57, 112),
			new RGB(0, 58, 113),
			new RGB(0, 60, 115),
			new RGB(0, 62, 117),
			new RGB(0, 63, 119),
			new RGB(0, 65, 120),
			new RGB(0, 66, 122),
			new RGB(0, 68, 124),
			new RGB(0, 70, 125),
			new RGB(0, 71, 127),
			new RGB(0, 73, 129),
			new RGB(0, 73, 129),
			new RGB(0, 74, 130),
			new RGB(0, 76, 132),
			new RGB(0, 78, 134),
			new RGB(0, 79, 136),
			new RGB(0, 81, 137),
			new RGB(0, 82, 139),
			new RGB(0, 84, 141),
			new RGB(0, 86, 142),
			new RGB(0, 87, 144),
			new RGB(0, 89, 146),
			new RGB(0, 90, 147),
			new RGB(0, 92, 149),
			new RGB(0, 94, 151),
			new RGB(0, 95, 153),
			new RGB(0, 97, 154),
			new RGB(0, 98, 156),
			new RGB(0, 100, 158),
			new RGB(0, 102, 159),
			new RGB(0, 103, 161),
			new RGB(0, 105, 163),
			new RGB(0, 106, 164),
			new RGB(0, 108, 166),
			new RGB(0, 109, 168),
			new RGB(0, 111, 170),
			new RGB(0, 113, 171),
			new RGB(0, 114, 173),
			new RGB(0, 116, 175),
			new RGB(0, 117, 176),
			new RGB(0, 119, 178),
			new RGB(0, 121, 180),
			new RGB(0, 121, 180),
			new RGB(0, 122, 181),
			new RGB(0, 124, 183),
			new RGB(0, 125, 185),
			new RGB(0, 127, 187),
			new RGB(0, 129, 188),
			new RGB(0, 130, 190),
			new RGB(0, 132, 192),
			new RGB(0, 133, 193),
			new RGB(0, 135, 195),
			new RGB(0, 137, 197),
			new RGB(0, 138, 198),
			new RGB(0, 140, 200),
			new RGB(0, 141, 202),
			new RGB(0, 143, 204),
			new RGB(0, 143, 204),
			new RGB(0, 145, 205),
			new RGB(0, 146, 207),
			new RGB(0, 148, 209),
			new RGB(0, 149, 210),
			new RGB(0, 151, 212),
			new RGB(0, 153, 214),
			new RGB(0, 154, 215),
			new RGB(0, 156, 217),
			new RGB(0, 157, 219),
			new RGB(0, 159, 221),
			new RGB(0, 160, 222),
			new RGB(0, 160, 222),
			new RGB(0, 162, 224),
			new RGB(0, 164, 226),
			new RGB(0, 165, 227),
			new RGB(0, 167, 229),
			new RGB(0, 168, 231),
			new RGB(0, 170, 232),
			new RGB(0, 172, 234),
			new RGB(0, 173, 236),
			new RGB(0, 175, 238),
			new RGB(0, 175, 238),
			new RGB(0, 176, 239),
			new RGB(0, 178, 241),
			new RGB(0, 180, 243),
			new RGB(0, 181, 244),
			new RGB(0, 183, 246),
			new RGB(2, 184, 248),
			new RGB(4, 186, 249),
			new RGB(4, 186, 249),
			new RGB(4, 186, 249),
			new RGB(6, 188, 251),
			new RGB(6, 188, 251),
			new RGB(9, 189, 253),
			new RGB(9, 189, 253),
			new RGB(11, 191, 255),
			new RGB(11, 191, 255),
			new RGB(13, 192, 255),
			new RGB(13, 192, 255),
			new RGB(13, 192, 255),
			new RGB(16, 194, 255),
			new RGB(18, 196, 255),
			new RGB(20, 197, 255),
			new RGB(20, 197, 255),
			new RGB(23, 199, 255),
			new RGB(25, 200, 255),
			new RGB(27, 202, 255),
			new RGB(30, 204, 255),
			new RGB(32, 205, 255),
			new RGB(34, 207, 255),
			new RGB(37, 208, 255),
			new RGB(37, 208, 255),
			new RGB(39, 210, 255),
			new RGB(41, 211, 255),
			new RGB(44, 213, 255),
			new RGB(46, 215, 255),
			new RGB(48, 216, 255),
			new RGB(51, 218, 255),
			new RGB(53, 219, 255),
			new RGB(53, 219, 255),
			new RGB(55, 221, 255),
			new RGB(57, 223, 255),
			new RGB(60, 224, 255),
			new RGB(62, 226, 255),
			new RGB(64, 227, 255),
			new RGB(67, 229, 255),
			new RGB(67, 229, 255),
			new RGB(69, 231, 255),
			new RGB(71, 232, 255),
			new RGB(74, 234, 255),
			new RGB(76, 235, 255),
			new RGB(78, 237, 255),
			new RGB(81, 239, 255),
			new RGB(81, 239, 255),
			new RGB(83, 240, 255),
			new RGB(85, 242, 255),
			new RGB(88, 243, 255),
			new RGB(90, 245, 255),
			new RGB(92, 247, 255),
			new RGB(95, 248, 255),
			new RGB(95, 248, 255),
			new RGB(97, 250, 255),
			new RGB(99, 251, 255),
			new RGB(102, 253, 255),
			new RGB(104, 255, 255),
			new RGB(106, 255, 255),
			new RGB(106, 255, 255),
			new RGB(108, 255, 255),
			new RGB(111, 255, 255),
			new RGB(113, 255, 255),
			new RGB(115, 255, 255),
			new RGB(115, 255, 255),
			new RGB(118, 255, 255),
			new RGB(120, 255, 255),
			new RGB(122, 255, 255),
			new RGB(122, 255, 255),
			new RGB(125, 255, 255),
			new RGB(127, 255, 255),
			new RGB(129, 255, 255),
			new RGB(129, 255, 255),
			new RGB(132, 255, 255),
			new RGB(134, 255, 255),
			new RGB(136, 255, 255),
			new RGB(136, 255, 255),
			new RGB(139, 255, 255),
			new RGB(141, 255, 255),
			new RGB(143, 255, 255),
			new RGB(146, 255, 255),
			new RGB(148, 255, 255),
			new RGB(150, 255, 255),
			new RGB(150, 255, 255),
			new RGB(153, 255, 255),
			new RGB(155, 255, 255),
			new RGB(155, 255, 255),
			new RGB(157, 255, 255),
			new RGB(159, 255, 255),
			new RGB(159, 255, 255),
			new RGB(162, 255, 255),
			new RGB(164, 255, 255),
			new RGB(164, 255, 255),
			new RGB(166, 255, 255),
			new RGB(169, 255, 255),
			new RGB(171, 255, 255),
			new RGB(171, 255, 255),
			new RGB(173, 255, 255),
			new RGB(176, 255, 255),
			new RGB(176, 255, 255),
			new RGB(178, 255, 255),
			new RGB(180, 255, 255),
			new RGB(180, 255, 255),
			new RGB(183, 255, 255),
			new RGB(185, 255, 255),
			new RGB(185, 255, 255),
			new RGB(187, 255, 255),
			new RGB(190, 255, 255),
			new RGB(190, 255, 255),
			new RGB(192, 255, 255),
			new RGB(194, 255, 255),
			new RGB(197, 255, 255),
			new RGB(197, 255, 255),
			new RGB(199, 255, 255),
			new RGB(201, 255, 255),
			new RGB(204, 255, 255),
			new RGB(204, 255, 255),
			new RGB(206, 255, 255),
			new RGB(208, 255, 255),
			new RGB(210, 255, 255),
			new RGB(210, 255, 255),
			new RGB(213, 255, 255),
			new RGB(215, 255, 255),
			new RGB(217, 255, 255),
			new RGB(217, 255, 255),
			new RGB(220, 255, 255),
			new RGB(222, 255, 255),
			new RGB(224, 255, 255),
			new RGB(227, 255, 255),
			new RGB(229, 255, 255),
			new RGB(229, 255, 255),
			new RGB(231, 255, 255),
			new RGB(234, 255, 255),
			new RGB(236, 255, 255),
			new RGB(238, 255, 255),
			new RGB(241, 255, 255),
			new RGB(243, 255, 255),
			new RGB(243, 255, 255),
			new RGB(245, 255, 255),
			new RGB(248, 255, 255),
			new RGB(250, 255, 255),
			new RGB(255, 255, 255)};

	/** RGB scale starting at blue tones and ending with yellow tones */
		public static final RGB[] BLUE_TO_YELLOW = // BTY
	{
		//new RGB(255,255,255),
		new RGB(7, 7, 254),
		new RGB(23, 23, 252),
		new RGB(30, 30, 250),
		new RGB(36, 36, 248),
		new RGB(40, 40, 247),
		new RGB(44, 44, 245),
		new RGB(47, 47, 243),
		new RGB(50, 50, 242),
		new RGB(52, 52, 240),
		new RGB(55, 55, 239),
		new RGB(57, 57, 238),
		new RGB(59, 59, 236),
		new RGB(61, 61, 235),
		new RGB(63, 63, 234),
		new RGB(65, 65, 233),
		new RGB(66, 66, 231),
		new RGB(68, 68, 230),
		new RGB(69, 69, 229),
		new RGB(71, 71, 228),
		new RGB(72, 72, 227),
		new RGB(74, 74, 226),
		new RGB(75, 75, 225),
		new RGB(76, 76, 225),
		new RGB(78, 78, 224),
		new RGB(79, 79, 223),
		new RGB(80, 80, 222),
		new RGB(81, 81, 221),
		new RGB(82, 82, 221),
		new RGB(84, 84, 220),
		new RGB(85, 85, 219),
		new RGB(86, 86, 218),
		new RGB(87, 87, 218),
		new RGB(88, 88, 217),
		new RGB(89, 89, 216),
		new RGB(90, 90, 216),
		new RGB(91, 91, 215),
		new RGB(92, 92, 214),
		new RGB(93, 93, 214),
		new RGB(94, 94, 213),
		new RGB(95, 95, 213),
		new RGB(96, 96, 212),
		new RGB(97, 97, 212),
		new RGB(98, 98, 211),
		new RGB(98, 98, 210),
		new RGB(99, 99, 210),
		new RGB(100, 100, 209),
		new RGB(101, 101, 209),
		new RGB(102, 102, 208),
		new RGB(103, 103, 208),
		new RGB(104, 104, 208),
		new RGB(105, 105, 207),
		new RGB(105, 105, 207),
		new RGB(106, 106, 206),
		new RGB(107, 107, 206),
		new RGB(108, 108, 205),
		new RGB(109, 109, 205),
		new RGB(110, 110, 204),
		new RGB(110, 110, 204),
		new RGB(111, 111, 204),
		new RGB(112, 112, 203),
		new RGB(113, 113, 203),
		new RGB(114, 114, 202),
		new RGB(114, 114, 202),
		new RGB(115, 115, 202),
		new RGB(116, 116, 201),
		new RGB(117, 117, 201),
		new RGB(118, 118, 200),
		new RGB(118, 118, 200),
		new RGB(119, 119, 200),
		new RGB(120, 120, 199),
		new RGB(121, 121, 199),
		new RGB(121, 121, 199),
		new RGB(122, 122, 198),
		new RGB(123, 123, 198),
		new RGB(124, 124, 198),
		new RGB(124, 124, 197),
		new RGB(125, 125, 197),
		new RGB(126, 126, 197),
		new RGB(127, 127, 196),
		new RGB(128, 128, 196),
		new RGB(128, 128, 195),
		new RGB(129, 129, 195),
		new RGB(130, 130, 195),
		new RGB(130, 130, 194),
		new RGB(131, 131, 194),
		new RGB(132, 132, 194),
		new RGB(133, 133, 193),
		new RGB(133, 133, 193),
		new RGB(134, 134, 193),
		new RGB(135, 135, 192),
		new RGB(136, 136, 192),
		new RGB(136, 136, 192),
		new RGB(137, 137, 191),
		new RGB(138, 138, 191),
		new RGB(139, 139, 191),
		new RGB(139, 139, 190),
		new RGB(140, 140, 190),
		new RGB(141, 141, 190),
		new RGB(142, 142, 189),
		new RGB(142, 142, 189),
		new RGB(143, 143, 189),
		new RGB(144, 144, 188),
		new RGB(144, 144, 188),
		new RGB(145, 145, 188),
		new RGB(146, 146, 187),
		new RGB(147, 147, 187),
		new RGB(147, 147, 187),
		new RGB(148, 148, 186),
		new RGB(149, 149, 186),
		new RGB(149, 149, 186),
		new RGB(150, 150, 185),
		new RGB(151, 151, 185),
		new RGB(152, 152, 185),
		new RGB(152, 152, 184),
		new RGB(153, 153, 184),
		new RGB(154, 154, 184),
		new RGB(154, 154, 183),
		new RGB(155, 155, 183),
		new RGB(156, 156, 182),
		new RGB(157, 157, 182),
		new RGB(157, 157, 182),
		new RGB(158, 158, 181),
		new RGB(159, 159, 181),
		new RGB(159, 159, 181),
		new RGB(160, 160, 180),
		new RGB(161, 161, 180),
		new RGB(162, 162, 180),
		new RGB(162, 162, 179),
		new RGB(163, 163, 179),
		new RGB(164, 164, 178),
		new RGB(164, 164, 178),
		new RGB(165, 165, 178),
		new RGB(166, 166, 177),
		new RGB(167, 167, 177),
		new RGB(167, 167, 176),
		new RGB(168, 168, 176),
		new RGB(169, 169, 176),
		new RGB(169, 169, 175),
		new RGB(170, 170, 175),
		new RGB(171, 171, 174),
		new RGB(172, 172, 174),
		new RGB(172, 172, 173),
		new RGB(173, 173, 173),
		new RGB(174, 174, 173),
		new RGB(174, 174, 172),
		new RGB(175, 175, 172),
		new RGB(176, 176, 171),
		new RGB(177, 177, 171),
		new RGB(177, 177, 170),
		new RGB(178, 178, 170),
		new RGB(179, 179, 169),
		new RGB(179, 179, 169),
		new RGB(180, 180, 168),
		new RGB(181, 181, 168),
		new RGB(181, 181, 167),
		new RGB(182, 182, 167),
		new RGB(183, 183, 166),
		new RGB(184, 184, 166),
		new RGB(184, 184, 165),
		new RGB(185, 185, 165),
		new RGB(186, 186, 164),
		new RGB(186, 186, 164),
		new RGB(187, 187, 163),
		new RGB(188, 188, 163),
		new RGB(189, 189, 162),
		new RGB(189, 189, 162),
		new RGB(190, 190, 161),
		new RGB(191, 191, 161),
		new RGB(191, 191, 160),
		new RGB(192, 192, 159),
		new RGB(193, 193, 159),
		new RGB(194, 194, 158),
		new RGB(194, 194, 158),
		new RGB(195, 195, 157),
		new RGB(196, 196, 157),
		new RGB(196, 196, 156),
		new RGB(197, 197, 155),
		new RGB(198, 198, 155),
		new RGB(199, 199, 154),
		new RGB(199, 199, 153),
		new RGB(200, 200, 153),
		new RGB(201, 201, 152),
		new RGB(201, 201, 151),
		new RGB(202, 202, 151),
		new RGB(203, 203, 150),
		new RGB(204, 204, 149),
		new RGB(204, 204, 149),
		new RGB(205, 205, 148),
		new RGB(206, 206, 147),
		new RGB(206, 206, 146),
		new RGB(207, 207, 146),
		new RGB(208, 208, 145),
		new RGB(209, 209, 144),
		new RGB(209, 209, 143),
		new RGB(210, 210, 143),
		new RGB(211, 211, 142),
		new RGB(211, 211, 141),
		new RGB(212, 212, 140),
		new RGB(213, 213, 139),
		new RGB(214, 214, 138),
		new RGB(214, 214, 138),
		new RGB(215, 215, 137),
		new RGB(216, 216, 136),
		new RGB(216, 216, 135),
		new RGB(217, 217, 134),
		new RGB(218, 218, 133),
		new RGB(219, 219, 132),
		new RGB(219, 219, 131),
		new RGB(220, 220, 130),
		new RGB(221, 221, 129),
		new RGB(221, 221, 128),
		new RGB(222, 222, 127),
		new RGB(223, 223, 126),
		new RGB(224, 224, 125),
		new RGB(224, 224, 124),
		new RGB(225, 225, 123),
		new RGB(226, 226, 122),
		new RGB(226, 226, 121),
		new RGB(227, 227, 119),
		new RGB(228, 228, 118),
		new RGB(229, 229, 117),
		new RGB(229, 229, 116),
		new RGB(230, 230, 114),
		new RGB(231, 231, 113),
		new RGB(232, 232, 112),
		new RGB(232, 232, 110),
		new RGB(233, 233, 109),
		new RGB(234, 234, 107),
		new RGB(234, 234, 106),
		new RGB(235, 235, 104),
		new RGB(236, 236, 103),
		new RGB(237, 237, 101),
		new RGB(237, 237, 100),
		new RGB(238, 238, 98),
		new RGB(239, 239, 96),
		new RGB(239, 239, 94),
		new RGB(240, 240, 92),
		new RGB(241, 241, 91),
		new RGB(242, 242, 89),
		new RGB(242, 242, 86),
		new RGB(243, 243, 84),
		new RGB(244, 244, 82),
		new RGB(245, 245, 80),
		new RGB(245, 245, 77),
		new RGB(246, 246, 74),
		new RGB(247, 247, 72),
		new RGB(247, 247, 69),
		new RGB(248, 248, 65),
		new RGB(249, 249, 62),
		new RGB(250, 250, 58),
		new RGB(250, 250, 54),
		new RGB(251, 251, 49),
		new RGB(252, 252, 44),
		new RGB(253, 253, 37),
		new RGB(253, 253, 28),
		new RGB(254, 254, 13)};
		
	/** Magenta tones color scale. */
	public static final RGB[] MAGENTA_TONES =
	{
		//new RGB(0, 0, 0),
		new RGB(40, 0, 0),
		new RGB(56, 0, 4),
		new RGB(61, 0, 9),
		new RGB(64, 0, 12),
		new RGB(66, 0, 14),
		new RGB(69, 0, 17),
		new RGB(73, 0, 20),
		new RGB(74, 0, 22),
		new RGB(78, 0, 25),
		new RGB(79, 0, 27),
		new RGB(83, 0, 30),
		new RGB(85, 0, 31),
		new RGB(86, 0, 33),
		new RGB(90, 0, 36),
		new RGB(91, 0, 38),
		new RGB(93, 0, 39),
		new RGB(95, 0, 41),
		new RGB(96, 0, 43),
		new RGB(100, 0, 46),
		new RGB(102, 0, 47),
		new RGB(103, 0, 49),
		new RGB(105, 0, 51),
		new RGB(107, 0, 52),
		new RGB(108, 0, 54),
		new RGB(110, 0, 55),
		new RGB(112, 0, 57),
		new RGB(112, 0, 57),
		new RGB(113, 0, 58),
		new RGB(115, 0, 60),
		new RGB(117, 0, 62),
		new RGB(119, 0, 63),
		new RGB(120, 0, 65),
		new RGB(122, 0, 66),
		new RGB(124, 0, 68),
		new RGB(125, 0, 70),
		new RGB(127, 0, 71),
		new RGB(129, 0, 73),
		new RGB(129, 0, 73),
		new RGB(130, 0, 74),
		new RGB(132, 0, 76),
		new RGB(134, 0, 78),
		new RGB(136, 0, 79),
		new RGB(137, 0, 81),
		new RGB(139, 0, 82),
		new RGB(141, 0, 84),
		new RGB(142, 0, 86),
		new RGB(144, 0, 87),
		new RGB(146, 0, 89),
		new RGB(147, 0, 90),
		new RGB(149, 0, 92),
		new RGB(151, 0, 94),
		new RGB(151, 0, 94),
		new RGB(153, 0, 95),
		new RGB(154, 0, 97),
		new RGB(156, 0, 98),
		new RGB(158, 0, 100),
		new RGB(159, 0, 102),
		new RGB(161, 0, 103),
		new RGB(163, 0, 105),
		new RGB(164, 0, 106),
		new RGB(166, 0, 108),
		new RGB(168, 0, 109),
		new RGB(170, 0, 111),
		new RGB(171, 0, 113),
		new RGB(173, 0, 114),
		new RGB(175, 0, 116),
		new RGB(176, 0, 117),
		new RGB(178, 0, 119),
		new RGB(180, 0, 121),
		new RGB(180, 0, 121),
		new RGB(181, 0, 122),
		new RGB(183, 0, 124),
		new RGB(185, 0, 125),
		new RGB(187, 0, 127),
		new RGB(188, 0, 129),
		new RGB(190, 0, 130),
		new RGB(192, 0, 132),
		new RGB(193, 0, 133),
		new RGB(195, 0, 135),
		new RGB(197, 0, 137),
		new RGB(198, 0, 138),
		new RGB(200, 0, 140),
		new RGB(202, 0, 141),
		new RGB(204, 0, 143),
		new RGB(204, 0, 143),
		new RGB(205, 0, 145),
		new RGB(207, 0, 146),
		new RGB(209, 0, 148),
		new RGB(210, 0, 149),
		new RGB(212, 0, 151),
		new RGB(214, 0, 153),
		new RGB(215, 0, 154),
		new RGB(217, 0, 156),
		new RGB(219, 0, 157),
		new RGB(221, 0, 159),
		new RGB(222, 0, 160),
		new RGB(222, 0, 160),
		new RGB(224, 0, 162),
		new RGB(226, 0, 164),
		new RGB(227, 0, 165),
		new RGB(229, 0, 167),
		new RGB(231, 0, 168),
		new RGB(232, 0, 170),
		new RGB(234, 0, 172),
		new RGB(236, 0, 173),
		new RGB(238, 0, 175),
		new RGB(238, 0, 175),
		new RGB(239, 0, 176),
		new RGB(241, 0, 178),
		new RGB(243, 0, 180),
		new RGB(244, 0, 181),
		new RGB(246, 0, 183),
		new RGB(248, 2, 184),
		new RGB(249, 4, 186),
		new RGB(249, 4, 186),
		new RGB(249, 4, 186),
		new RGB(251, 6, 188),
		new RGB(251, 6, 188),
		new RGB(253, 9, 189),
		new RGB(253, 9, 189),
		new RGB(255, 11, 191),
		new RGB(255, 11, 191),
		new RGB(255, 13, 192),
		new RGB(255, 13, 192),
		new RGB(255, 13, 192),
		new RGB(255, 16, 194),
		new RGB(255, 18, 196),
		new RGB(255, 20, 197),
		new RGB(255, 20, 197),
		new RGB(255, 23, 199),
		new RGB(255, 25, 200),
		new RGB(255, 27, 202),
		new RGB(255, 30, 204),
		new RGB(255, 32, 205),
		new RGB(255, 34, 207),
		new RGB(255, 37, 208),
		new RGB(255, 37, 208),
		new RGB(255, 39, 210),
		new RGB(255, 41, 211),
		new RGB(255, 44, 213),
		new RGB(255, 46, 215),
		new RGB(255, 48, 216),
		new RGB(255, 51, 218),
		new RGB(255, 53, 219),
		new RGB(255, 55, 221),
		new RGB(255, 57, 223),
		new RGB(255, 60, 224),
		new RGB(255, 62, 226),
		new RGB(255, 64, 227),
		new RGB(255, 67, 229),
		new RGB(255, 67, 229),
		new RGB(255, 69, 231),
		new RGB(255, 71, 232),
		new RGB(255, 74, 234),
		new RGB(255, 76, 235),
		new RGB(255, 78, 237),
		new RGB(255, 81, 239),
		new RGB(255, 81, 239),
		new RGB(255, 83, 240),
		new RGB(255, 85, 242),
		new RGB(255, 88, 243),
		new RGB(255, 90, 245),
		new RGB(255, 92, 247),
		new RGB(255, 95, 248),
		new RGB(255, 95, 248),
		new RGB(255, 97, 250),
		new RGB(255, 99, 251),
		new RGB(255, 102, 253),
		new RGB(255, 104, 255),
		new RGB(255, 106, 255),
		new RGB(255, 106, 255),
		new RGB(255, 108, 255),
		new RGB(255, 111, 255),
		new RGB(255, 113, 255),
		new RGB(255, 115, 255),
		new RGB(255, 115, 255),
		new RGB(255, 118, 255),
		new RGB(255, 120, 255),
		new RGB(255, 122, 255),
		new RGB(255, 122, 255),
		new RGB(255, 125, 255),
		new RGB(255, 127, 255),
		new RGB(255, 129, 255),
		new RGB(255, 129, 255),
		new RGB(255, 132, 255),
		new RGB(255, 134, 255),
		new RGB(255, 136, 255),
		new RGB(255, 136, 255),
		new RGB(255, 139, 255),
		new RGB(255, 141, 255),
		new RGB(255, 143, 255),
		new RGB(255, 143, 255),
		new RGB(255, 146, 255),
		new RGB(255, 148, 255),
		new RGB(255, 150, 255),
		new RGB(255, 150, 255),
		new RGB(255, 153, 255),
		new RGB(255, 155, 255),
		new RGB(255, 155, 255),
		new RGB(255, 157, 255),
		new RGB(255, 159, 255),
		new RGB(255, 159, 255),
		new RGB(255, 162, 255),
		new RGB(255, 164, 255),
		new RGB(255, 164, 255),
		new RGB(255, 166, 255),
		new RGB(255, 169, 255),
		new RGB(255, 171, 255),
		new RGB(255, 171, 255),
		new RGB(255, 173, 255),
		new RGB(255, 176, 255),
		new RGB(255, 176, 255),
		new RGB(255, 178, 255),
		new RGB(255, 180, 255),
		new RGB(255, 180, 255),
		new RGB(255, 183, 255),
		new RGB(255, 185, 255),
		new RGB(255, 185, 255),
		new RGB(255, 187, 255),
		new RGB(255, 190, 255),
		new RGB(255, 190, 255),
		new RGB(255, 192, 255),
		new RGB(255, 194, 255),
		new RGB(255, 197, 255),
		new RGB(255, 197, 255),
		new RGB(255, 199, 255),
		new RGB(255, 201, 255),
		new RGB(255, 204, 255),
		new RGB(255, 204, 255),
		new RGB(255, 206, 255),
		new RGB(255, 208, 255),
		new RGB(255, 210, 255),
		new RGB(255, 213, 255),
		new RGB(255, 215, 255),
		new RGB(255, 217, 255),
		new RGB(255, 217, 255),
		new RGB(255, 220, 255),
		new RGB(255, 222, 255),
		new RGB(255, 224, 255),
		new RGB(255, 227, 255),
		new RGB(255, 229, 255),
		new RGB(255, 229, 255),
		new RGB(255, 231, 255),
		new RGB(255, 234, 255),
		new RGB(255, 236, 255),
		new RGB(255, 238, 255),
		new RGB(255, 241, 255),
		new RGB(255, 243, 255),
		new RGB(255, 243, 255),
		new RGB(255, 245, 255),
		new RGB(255, 248, 255),
		new RGB(255, 250, 255),
		new RGB(255, 255, 255)};

	/** An array containing all color scales.
	 * 
	 */ 
	public static final RGB[][] colorscales =
		{
			LINEAR_OPTIMAL,
			NEARLY_LINEAR_OPTIMAL,
			COLD_HOT,
			BLUE_GREEN_RED,
			RAINBOW,
			HEATED_OBJECT,
			LINEAR_GRAY,
			BLUE_TONES,
			BLUE_TO_YELLOW,
			MAGENTA_TONES };
	
	/** Names of the color scales.
	 * 
	 */
	public static final String[] scalenames =
		{
			"Linear Optimal",
			"Nearly Linear Optimal",
			"Cold Hot",
			"Blue Green Red",
			"Rainbow",
			"Heated Object",
			"Linear Gray",
			"Blue Tones",
			"Blue To Yellow",
			"Magenta Tones" };

}
