/*
 * Created on 22.04.2004
 *
 * (C) Peter Weigerber <peter.weissgerber@ku-eichstaett.de>
 * 
 * For license information see the LICENSE file that is shipped
 * with the source code.
 * 
 * 
 */
package org.eposoft.epos.eposee.pixmap.gui;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Dialog;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Listener;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

/** A simple input dialog for selecting values.
 * 
 * @author Peter Weigerber <peter.weissgerber@ku-eichstaett.de>
 *
 */
public class ValueSelectionDialog extends Dialog {

	private String answer = null;
	private Label lblQuestion;
	private Text txtResponse;
	private Button btnOkay;
	private Button btnCancel;
	
	/** Create new dialog.
	 * 
	 * @param arg0 parent shell
	 */
	public ValueSelectionDialog(Shell arg0) {
		super(arg0);

	}

	/** Open the dialog and let the user input a value.
	 * 
	 * @return value entered by the user
	 */
	public String open() {
		answer = null;
		final Shell shell =
			new Shell(getParent(), SWT.DIALOG_TRIM | SWT.APPLICATION_MODAL);
		shell.setText("Please select new value");
		
		
		shell.setSize(300,150);
		lblQuestion = new Label(shell, SWT.NONE);
		lblQuestion.setLocation(25,10);
		lblQuestion.setSize(180,20);
		lblQuestion.setText("Please input a new value:");
		txtResponse = new Text(shell, SWT.BORDER);
		txtResponse.setLocation(25,30);
		txtResponse.setSize(200,20);
		btnOkay = new Button (shell, SWT.PUSH);
		btnOkay.setText ("Ok");
		btnOkay.setLocation(40,60);
		btnOkay.setSize(55,35);
		btnCancel = new Button (shell, SWT.PUSH);
		btnCancel.setText ("Cancel");
		btnCancel.setLocation(100,60);
		btnCancel.setSize(65,35);

		
		
		
		Listener listener = new Listener() {
			public void handleEvent(Event event) {
				if (event.widget == btnOkay) {
					answer = txtResponse.getText();
				}
				else {
					answer = null;
				}
				shell.close();
			}
		};
		btnOkay.addListener(SWT.Selection, listener);
		btnCancel.addListener(SWT.Selection, listener);
		shell.open();

		Display display = getParent().getDisplay();
		while (!shell.isDisposed()) {
			if (!display.readAndDispatch())
				display.sleep();
		}

		return answer;
	}

}
