/*
 * Created on 31.03.2004
 *
 */
package org.eposoft.epos.util.comparator;

import java.util.Arrays;
import java.util.Comparator;

/** Compares two filenames. 
 * The filenames are alphabetically compared with one exception:
 * files in subdirectories of a directory are always "larger" than the files
 * in the directory itself.
 *  
 * @author Peter Weissgerber <peter.weissgerber@ku-eichstaett.de>
 *
 */
public class FilenameComparator implements Comparator {

	private String pathsep = "/";

	/* (non-Javadoc)
	 * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
	 */
	public int compare(Object o1, Object o2) {
		if (o1.equals(o2)) {
			return 0;
		} 
		else {
			int lastsep1 = ((String)o1).lastIndexOf(pathsep);
			String dir1= "";
			String file1=(String)o1;
			if (lastsep1>-1) { 
				dir1= ((String)o1).substring(0,lastsep1);
				file1=file1.substring(lastsep1+1);
			} 
			int lastsep2 = ((String)o2).lastIndexOf(pathsep);
			String dir2 = "";
			String file2 = (String)o2;
			if (lastsep2>-1) { 
				dir2=((String)o2).substring(0,lastsep2);
				file2 = file2.substring(lastsep2+1);
			} 
			if (dir1.equals(dir2)) {
				// Files are in the same directory
				// Compare Filenames
				return (file1.compareTo(file2));
			}
			else {
				// Files are in different directories
				// Compare directories
				return (dir1.compareTo(dir2));
			}
		}
	}
	
	public void setPathSeparator(String ps)  {
		pathsep = ps;
	}
	
	/** Test function.
	 * 
	 * @param args ignored
	 */
	public static void main(String args[]) {
		String[] filename = { "org/src/a.xml", "org/src/c.xml", "README", "org/src/gui/b",
			"org/src/jgui.java", "org/src/gui/a" ,"org/src/jedit.java", "TODO" };
		Arrays.sort(filename, new FilenameComparator());
		for (int i=0;i<filename.length;i++) {
			System.out.println(filename[i]);
		}
	}

}
