/*
 * $Id: AbstractRosePlugin.java,v 1.5 2004/12/21 16:12:19 zimmerth Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.jobs.Job;

/**
 * @author Thomas Zimmermann, zimmerth@cs.uni-sb.de
 */
public abstract class AbstractRosePlugin extends AbstractDBConnection implements IRosePlugin {

    public AbstractRosePlugin() {
        // empty
    }
    
    /**
     * @throws RosePluginException
     * @see org.softevo.rose.IRosePlugin#reset()
     */
    public abstract void reset() throws RosePluginException;
    
    /**
     * @throws RosePluginException
     * @see org.softevo.rose.IRosePlugin#setup()
     */
    public abstract void setup() throws RosePluginException;
    
    /**
     * 
     */
    public void run(IProject project) {
        Job job = createJob(project);
        job.setPriority(Job.LONG);
        job.setUser(true);
        job.schedule();
    }
    
}
