/*
 * $Id: AbstractEntityType.java,v 1.2 2004/12/17 13:04:12 zimmerth Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose.assist.mining.entities;

import org.softevo.rose.assist.mining.preferences.IRosePreferenceConstants;

/**
 * @author Thomas Zimmermann, zimmerth@cs.uni-sb.de
 */
public abstract class AbstractEntityType implements IEntityType {

    protected boolean enabled = true;
 
    /**
     * @see org.softevo.rose.assist.mining.entities.IEntityType#getDefaultValue()
     */
    public boolean getDefaultValue() {
        return enabled;
    }

    /**
     * @see org.softevo.rose.assist.mining.entities.IEntityType#isEnabled()
     */
    public boolean isEnabled() {
        return enabled;
    }

    /**
     * @see org.softevo.rose.assist.mining.entities.IEntityType#setEnabled(boolean)
     */
    public void setEnabled(boolean b) {
        enabled = b;
    }

    public String getPreferenceID() {
        return IRosePreferenceConstants.ROSE_IS_ENABLED_PREFIX + getName();
    }
}
