/*
 * $Id: ChooseDBConnectionAction.java,v 1.3 2005/01/12 16:06:13 dallmeier Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose.db.actions;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.Status;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.ErrorDialog;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.team.core.TeamException;
import org.eclipse.team.internal.ui.actions.TeamAction;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;
import org.eclipse.ui.internal.Workbench;
import org.softevo.rose.db.wizards.ChooseDBConnectionWizard;

/** An action that pops up a wizard that allows to
 *  choose the database connection for a project. <BR>
 */
public class ChooseDBConnectionAction extends TeamAction implements
    IWorkbenchWindowActionDelegate {

  /** Runs the action and pops up the dialog. <BR>
   */
  public void run(IAction action) {
    ChooseDBConnectionWizard wizard;
    WizardDialog dialog;
    IProject[] selectedProjects;
    ErrorDialog errorDialog;
    
    selectedProjects = getSelectedProjects();
    if (selectedProjects.length == 1) {
      wizard = new ChooseDBConnectionWizard(selectedProjects[0]);
      dialog = new WizardDialog(Workbench.getInstance().getActiveWorkbenchWindow().getShell(), wizard);
      dialog.open();
    } else {
      errorDialog = new ErrorDialog(shell, "Invalid selection", 
                                    "The current selection is invalid.", 
                                    Status.CANCEL_STATUS, Status.CANCEL);
      errorDialog.open();
    }
  }
  
  /* (non-Javadoc)
   * @see org.eclipse.team.internal.ui.actions.TeamAction#isEnabled()
   */
  protected boolean isEnabled() throws TeamException {
    return true;
  }

  /* (non-Javadoc)
   * @see org.eclipse.ui.IWorkbenchWindowActionDelegate#init(org.eclipse.ui.IWorkbenchWindow)
   */
  public void init(IWorkbenchWindow window) {
  }

}
