/*
 * $Id: EditDBConnectionWizardPage.java,v 1.4 2005/01/12 16:06:13 dallmeier Exp $
 * 
 * LICENSE:
 */
package org.softevo.rose.db.wizards;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.widgets.Composite;
import org.softevo.rose.db.DBConnectionProperties;
import org.softevo.rose.db.preferences.DBConnectionEditor;

/** Wizard page that displays the connection editor. <BR> 
 */
public class EditDBConnectionWizardPage extends WizardPage {
  
  /** The properties to edit. <BR>
   */
  private DBConnectionProperties properties = null;
  
  /** The editor for the connection. <BR>
   */
  private DBConnectionEditor editor = null;
  
  /** Creates a new wizard page. <BR>
   *  @param pageName the name of the page
   *  @param title the page title
   *  @param image the image
   *  @param properties the properties to be edited
   */
  public EditDBConnectionWizardPage(String pageName, String title, 
                                    ImageDescriptor image, DBConnectionProperties properties) {
    super(pageName, title, image);
    this.properties = properties;
  }
  
  /** Creates the editor. <BR>
   *  @see org.eclipse.jface.dialogs.IDialogPage#createControl(org.eclipse.swt.widgets.Composite)
   */
  public void createControl(Composite parent) {
    if (properties != null) {
      editor = new DBConnectionEditor(parent, properties, DBConnectionEditor.MODE_EDIT);
    } else {
      editor = new DBConnectionEditor(parent, properties, DBConnectionEditor.MODE_NEW);
    }
    editor.setWizard(getWizard());
    editor.setWizardPage(this);
    setControl(parent);
    Dialog.applyDialogFont(parent);
    editor.refresh();
  }
  
  
 
  /** Gets the editor used. <BR>
   */
  public DBConnectionEditor getEditor() {
    return editor;
  }
  
  
    public boolean canFlipToNextPage() {
        return editor.validateSettings().size()<2;
    }
}
