/*
 * $Id: Filter.java,v 1.2 2005/03/01 10:42:30 zimmerth Exp $
 * 
 * LICENSE:
 */
package org.softevo.util;

/**
 * Provides a method to filter objects.
 * 
 * @author zimmerth
 */
public interface Filter {

	/**
	 * Checks if an object satisfies the filter condition
	 * 
	 * @param o  The object which is checked against the filter condition
	 * @return  <code>true</code> if the object satisfies the condition,
	 * 			<code>false</code> if it doesn't 
	 */
	boolean filter(Object o);

}
