/*
 * $Id: ListUtils.java,v 1.2 2005/03/01 10:42:30 zimmerth Exp $
 * 
 * LICENSE:
 */
package org.softevo.util;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

/**
 * @author zimmerth
 */
public class ListUtils {

	/**
	 * 
	 * @param list
	 * @return
	 */
	public static List subsets(List list) {
		
		int n = list.size() - 1;
		ArrayList result = new ArrayList(2 << n);
		for (int i = 0; i < 2 << n; i++) {
			result.add(new LinkedList());
		}
		
		int pow = 1;
		for (Iterator iter = list.iterator(); iter.hasNext(); pow<<=1) {
			Object element = iter.next();
			for (int i = 0; i < (2 << n); i++) {
				if ((i & pow) > 0) {
					((LinkedList) result.get(i)).addLast(element);					
				}
			}
		}	
		return result;
	}
	
	/**
	 * Returns a filtered list by using the specified filter
	 * 
	 * @param list  The list to filter.
	 * @param filter  The filter that will be used.
	 * @return  The filtered symbol list.
	 */
	public static List filterList(List list, Filter filter) {

		List result = new LinkedList();

		// Iterate through list and apply filter	
		for (Iterator iter = list.iterator(); iter.hasNext();) {
			Object object = iter.next();
			if (filter.filter(object)) {
				result.add(object);
			}
		}
		return result;
	}


	/**
	 * Creates a List containing the integers in the interval [a,b]
	 * 
	 * @param a  The lower bound of the list (included)
	 * @param b  The upper bound of the list (included)
	 * @return List  Contains all number from a to b.
	 */
	public static List range(int a, int b) {

		List result = new LinkedList();
		for (int i = a; i < b; i++) {
			result.add(new Integer(i));
		}
		return result;		
	}


}
